<?php
//まず何はともあれ、セッション開始
session_start ();
//##################  認証済みか確認 #########
// 認証済みなら権限設定してスルー、未認証なら login.php にheaderで移動
if (! isset ( $_SESSION ['id'] )) {
	header ( "Location: ./login.php" );
	exit ();
} else {
	$ii = 12; // ここの値だけ、各コントローラで変更する。 user（ユーザ情報） -> 0 customer（お客さん情報） -> 4  toiawase -> 8  taiou -> 12
	$dummy = $_SESSION ['kengen'];
	//対応の権限
	$all_kengen [1] = substr ( $dummy, $ii, 1 ); // 参照権限
	$all_kengen [2] = substr ( $dummy, $ii + 1, 1 ); //追加権限
	$all_kengen [3] = substr ( $dummy, $ii + 2, 1 ); // 編集権限
	$all_kengen [4] = substr ( $dummy, $ii + 3, 1 ); //　削除権限
}

//#################### header ファイルを読み込み、<div id='content'> を設定 ####################
//まず、header　部分（共通）を読み込む
//readfile('./header.html');
require ('./header.php');

// この中身を表示する <div id='content'> を書く
//echo "<div id='content'>";

// ####### ここで対応分類情報（追加、削除、修正）を行う ##########
// アクセス方法は taiou_control.php?action=xxxx&id=zzzz
//  xxxxx は add, delete, modify,list,search,detailsearch
//  add, delete の場合は &id=zzzz でidを付ける


//各種設定を読み込み
require_once ("./common.php");
//require_once("./taiou_function.php");
require_once ("./taiou_template.php");

//アクション名＆ID番号取得
$action = $_GET ['action'];
$id = $_GET ['id'];
$num_file = $_GET ['num_file'];
$toiawase_id = $_GET ['toiawase_id'];
$user_id = $_SESSION ['id'];
$user_namae = $_SESSION ['namae'];

$extract = "t.id as id , t.toiawase_id as toiawase_id, t.user_id as user_id, u.namae as user_namae, t.cat_id as cat_id, ta.name as cat_name, t.nichiji as nichiji, t.naiyou as naiyou";
$from = "((taiou as t left join user as u on t.user_id = u.id ) left join taioucat as ta on t.cat_id = ta.id )";
$where = " 1 = 1 order by id DESC";

//----------------各アクション毎の処理 ----------------------
// %%%%%%%%%%%%一覧表示＆検索のとき%%%%%%%%%%%%%%%%%%%
if ($action == 'list' or $action == 'search' or $action == 'detailsearch') {
	
	if ($action == 'list') {
		$sql = "select " . $extract . " from " . $from . " where " . $where; // sql設定
	} elseif ($action == 'search') {
		$sw = $_POST ['search']; //sw -> search word
		$where = "t.id like '%" . $sw . "%' or u.namae like '%" . $sw . "%' or ta.name like '%" . $sw . "%' or t.naiyou like '%" . $sw . "%'";
		$sql = "select " . $extract . " from " . $from . " where " . $where; // sql設定
	

	} elseif ($action == 'detailsearch') {
		if (isset ( $_POST ['submit'] )) {
			//対応情報取得
			$id = $_POST ['ta_id'];
			$toiawase_id = $_POST ['toiawase_id'];
			$user_id = $_POST ['ta_user_id'];
			$cat_id = $_POST ['tacat_id'];
			$naiyou = $_POST ['ta_naiyou'];
			
			$fyear = $_POST ['fyear'];
			$fmonth = $_POST ['fmonth'];
			$fday = $_POST['fday'];
			
			$tyear = $_POST ['tyear'];
			$tmonth = $_POST ['tmonth'];
			$tday = $_POST ['tday'];
			
			if($fyear != ""){
				if($fmonth == ""){ $fmonth = '01'; }
				if($fday == ""){ $fday = '01'; }
				$fnichiji = $fyear."-".$fmonth."-".$fday." 00:00:00";
			}else{
				$fnichiji = "";
			}
			
			if($tyear != ""){
				if($tmonth == ""){ $tmonth = '12'; }
				if($tday == ""){ $tday = '31'; }
				$tnichiji = $tyear."-".$tmonth."-".$tday." 23:59:59";
			}else{
				$tnichiji = "";
			}

			$where = " t.id like '%" . $id . "%' and t.toiawase_id like '%" . $toiawase_id . "%' and t.naiyou like '%" . $naiyou . "%' ";
			
			if ($user_id != "") {
				$where .= "and t.user_id = '" . $user_id . "' ";
			}
			if ($cat_id != "") {
				$where .= "and t.cat_id = '" . $cat_id . "' ";
			}
			if ($fnichiji != ""){
				$where .= "and t.nichiji >= '".$fnichiji."' ";
			}
			if ($tnichiji != ""){
				$where .= "and t.nichiji <= '".$tnichiji."'";
			}
			
			$sql = "select " . $extract . " from " . $from . " where " . $where;
		
		}
		echo "<div id='taiou_add'>";
		echo "<h3>詳細検索</h3>";
		echo "<form action='./taiou_control.php?action=detailsearch' method='post'>";
		//テンプレートの読み込み（ここで書き出す）
		taiou_template ( 0, 1, 0, 2, $id, $toiawase_id, $user_id, $user_namae, $cat_id, $nichiji, $naiyou, $num_file,$tataiou_user_id, $tataiou_user_name, $error );
		echo "<input type='submit' name='submit' value='検索'>";
		echo "</form>";
		echo "</div>";
	}
	
	// action == detailsearch の初めての表示以外は　SQL実行して結果を表示！！  
	if (! ($action == 'detailsearch' and ! isset ( $_POST ['submit'] ))) {
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		

		//結果の表示
		?>
<div id='taiou_list'>
   
   <?php
		if ($action != 'detailsearch') {
			?>
   <form action="taiou_control.php?action=search" method="post"><font
	color="#FF0000" size="+1">検索</font> <input type="text" size="30"
	name="search" /> <input type="submit" name="submit" value="検索" /> <a
	href="./taiou_control.php?action=detailsearch">詳細検索 </a></form>
   <?php
		}
		?>
   <br />
   <?php
		if ($action == 'list') {
			echo "<h3> 対応状況　一覧 </h3>";
		} elseif ($action == 'search' or $action == 'detailsearch') {
			echo "<h3> 対応状況　検索結果 </h3>";
			
			echo "検索結果：　" . $res->numRows () . "件<br />";
		}
		?>
   <br />
<a href='taiou_control.php?action=add'>新規追加</a>
   
   <?php
		taiou_list_template ( $res, $all_kengen );
		
		echo "</div>";
	} //if文終了


//%%%%%%%%%%%%%%% 追加のとき %%%%%%%%%%%%%%%%%%%%%%
} elseif ($action == 'add' or $action == 'modify') {
	
	//追加、編集権限があるか確認　ない場合はメッセージを出して exit
	if ($action == 'add' and $all_kengen [2] == 0) {
		echo "<div id='taiou_add'>";
		echo "<h3>追加権限がありません</h3>";
		echo "</div>";
		exit ();
	} elseif ($action == 'modify' and $all_kengen [3] == 0) {
		echo "<div id='taiou_add'>";
		echo "<h3>編集権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	if (isset ( $_POST ['submit'] )) {
		//エラーの有無の確認　& なかった場合は変数を設定
		// エラーがあった場合		$error -> 0: 問題なし、　+10: 対応状況分類が未選択、 +1: 内容が未記入
		

		if ($_POST ['tacat_id'] == null) {
			$error += 10;
		}
		if ($_POST ['ta_naiyou'] == null) {
			$error += 1;
		}
		
		$year = $_POST ['year'];
		$month = $_POST ['month'];
		$day = $_POST ['day'];
		$hour = $_POST ['hour'];
		$minute = $_POST ['minute'];
		$toiawase_id = $_POST ['toiawase_id'];
		$user_id = $_POST ['ta_user_id'];
		$cat_id = $_POST ['tacat_id'];
		$naiyou = $_POST ['ta_naiyou'];
		
		if ($num_file == "") {
			$num_file = 1;
		}
		
		$nichiji = $year . "-" . $month . "-" . $day . " " . $hour . ":" . $minute . ":00";
		
		//エラーがなかったら登録処理
		if ($error == 0 && $action == 'add') { // action が add なら追加処理
			$sql = "insert into taiou(toiawase_id,user_id,cat_id,nichiji,naiyou) values('" . $toiawase_id . "','" . $user_id . "','" . $cat_id . "','" . $nichiji . "','" . $naiyou . "')"; // sql設定
			$id = db_open_exec_getid_close ( $sql ); // DBオーブン、SQL実行、ID番号取得、DBクローズ
			

			echo "<div id='taiou_add'>";
			echo "<h3>対応情報の登録　完了しました</h3>";
			
			//添付ファイルのアップロード処理
			if (is_uploaded_file ( $_FILES ["upload"] ["tmp_name"] )) {
				// テーブルに情報登録
				$sql = "insert into taiou_tenpu(taiou_id,name) values('" . $id . "','" . $_FILES ['upload'] ['name'] . "')";
				$ta_id = db_open_exec_getid_close ( $sql );
				
				$file_name = mb_convert_encoding ( $_FILES ['upload'] ['name'], 'SJIS', 'UTF-8' );
				
				if (move_uploaded_file ( $_FILES ["upload"] ["tmp_name"], "./attached_file/taiou/" . $file_name )) {
					//	chmod("./attached_file/taiou/" . $_FILES["upload"]["name"], 0644);
				} else {
					echo "ファイルをアップロードできませんでした。";
				}
			}
			
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");
			exit ();
		
		} elseif ($error == 0 && $action == 'modify') { // action が modify なら修正処理
			$sql = "update taiou set toiawase_id='" . $toiawase_id . "',user_id='" . $user_id . "',cat_id='" . $cat_id . "',nichiji='" . $nichiji . "',naiyou='" . $naiyou . "' where id='" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<div id='taiou_add'>";
			echo "<h3>対応情報の修正　完了しました</h3>";
			
			//添付ファイルのアップロード処理
			if (is_uploaded_file ( $_FILES ["upload"] ["tmp_name"] )) {
				// テーブルに情報登録
				$sql = "insert into taiou_tenpu(taiou_id,name) values('" . $id . "','" . $_FILES ['upload'] ['name'] . "')";
				$ta_id = db_open_exec_getid_close ( $sql );
				
				$file_name = mb_convert_encoding ( $_FILES ['upload'] ['name'], 'SJIS', 'UTF-8' );
				
				if (move_uploaded_file ( $_FILES ["upload"] ["tmp_name"], "./attached_file/taiou/" . $file_name )) {
					//	chmod("./attached_file/taiou/" . $_FILES["upload"]["name"], 0644);
				} else {
					echo "ファイルをアップロードできませんでした。";
				}
			}
			
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");	
			exit ();
		
		}
	} elseif ($action == 'modify') {
		
		$sql = "select " . $extract . " from " . $from . " where t.id='" . $id . "'";
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		

		$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
		
		if ($row ['id'] == null) {
			echo "<div id='taiou_add'>";
			echo "<h3>一致する対応情報が見つかりません</h3>";
			echo "</div>";
			exit ();
		}
		
		$id = $row ['id'];
		$toiawase_id = $row ['toiawase_id'];
		$user_id = $row ['user_id'];
		$cat_id = $row ['cat_id'];
		$nichiji = $row ['nichiji'];
		$naiyou = $row ['naiyou'];
	
	}
	
	// 表示部分  
	

	echo "<div id='taiou_add'>";
	
	if ($action == 'add') {
		echo "<h3>対応情報　追加</h3>";
		echo "<form action='./taiou_control.php?action=add' method='post' enctype='multipart/form-data'>";
		//テンプレートの読み込み（ここで書き出す）
		taiou_template ( 1, 1, 1, 5, $id, $toiawase_id, $user_id, $user_namae, $cat_id, $nichiji, $naiyou, $num_file + 1, $taiou_user_id, $taiou_user_name,$error );
		echo "<input type='submit' name='submit' value='追加'>";
	} elseif ($action == 'modify') {
		echo "<h3>対応情報　編集</h3>";
		echo "<form action='./taiou_control.php?action=modify&id=" . $id . "' method='post' enctype='multipart/form-data'>";
		//テンプレートの読み込み（ここで書き出す）
		taiou_template ( 1, 1, 1, 6, $id, $toiawase_id, $user_id, $user_namae, $cat_id, $nichiji, $naiyou, $num_file + 1, $taiou_user_id, $taiou_user_name,$error );
		echo "<input type='submit' name='submit' value='修正'>";
	}
	
	echo "  </form>";
	echo "</div>";

} elseif ($action == 'view' or $action == 'delete') {
	
	if ($action == 'delete' and $all_kengen [4] == 0) {
		echo "<div id='taiou_add'>";
		echo "<h3>削除権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	$sql = "select " . $extract . " from " . $from . " where t.id='" . $id . "'"; // sql設定
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
	

	$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
	
	$id = $row ['id'];
	$toiawase_id = $row ['toiawase_id'];
	$user_id = $row ['user_id'];
	$cat_id = $row ['cat_id'];
	$nichiji = $row ['nichiji'];
	$naiyou = $row ['naiyou'];
	
	echo "<div id='taiou_add'>";
	
	if ($action == 'view') {
		echo "<h3>対応情報　参照</h3>";
	} elseif ($action == 'delete') {
		echo "<h3>対応情報　削除</h3>";
		
		if (! isset ( $_GET ['ans'] )) {
			echo "<br />以下の対応情報を削除してもよろしいですか？　　";
			echo "<a href='./taiou_control.php?action=delete&id=" . $id . "&ans=yes'>はい</a>　　";
			echo "<a href='./taiou_control.php?action=delete&id=" . $id . "&ans=no'>いいえ</a>　　";
			
			//この対応が添付ファイルを使ってないかチェック
			$sql_tai = "select taiou_id from taiou_tenpu where taiou_id = '" . $id . "'";
			$res_tai = db_open_exec_close ( $sql_tai ); // DBオーブン、SQL実行、DBクローズ
			$tai_num = $res_tai->numRows ();
			
			if ($tai_num != 0) {
				echo "<font color='red' ><br /><br />（注）この対応情報に付随した添付ファイルも削除されます<br /><br />";
				echo "　　添付ファイル：　" . $tai_num . "件<br />";
				echo "</font>";
			}
			
			echo "<br />";
		} elseif ($_GET ['ans'] == yes) {
			$sql = "delete from taiou where id='" . $id . "'"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			$sql = "delete from taiou_tenpu where taiou_id='" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<br />対応状況分類情報を削除しました";
			exit ();
		} else {
			header ( "Location: ./taiou_control.php?action=list" );
			exit ();
		}
	}
	
	//テンプレートの読み込み（ここで書き出す）
	taiou_template ( 0, 0, 0, 0, $id, $toiawase_id, $user_id, $user_namae, $cat_id, $nichiji, $naiyou, $num_file, $taiou_user_id, $taiou_user_name,$error );
	
	echo "</div>";

} //action による分岐 の終了
?>

<?php
//#################### <div id='content'> を終了し、footer ファイルを読みむ ####################
// <div id='content'> 終了
echo "</div>";
//最後に、footer　部分（共通）を読み込む
readfile ( './footer.html' );
?>