<?php
//まず何はともあれ、セッション開始
session_start ();
//##################  認証済みか確認 #########
// 認証済みなら権限設定してスルー、未認証なら login.php にheaderで移動
if (! isset ( $_SESSION ['id'] )) {
	header ( "Location: ./login.php" );
	exit ();
} else {
	$ii = 8; // ここの値だけ、各コントローラで変更する。 user（ユーザ情報） -> 0 customer（お客さん情報） -> 4  toiawase -> 8  taiou -> 12
	$dummy = $_SESSION ['kengen'];
	//問合せの権限
	$all_kengen [1] = substr ( $dummy, $ii, 1 ); // 参照権限
	$all_kengen [2] = substr ( $dummy, $ii + 1, 1 ); //追加権限
	$all_kengen [3] = substr ( $dummy, $ii + 2, 1 ); // 編集権限
	$all_kengen [4] = substr ( $dummy, $ii + 3, 1 ); //　削除権限
	//対応の権限
	$all_kengen [5] = substr ( $dummy, $ii + 4, 1 ); // 参照権限
	$all_kengen [6] = substr ( $dummy, $ii + 5, 1 ); //追加権限
	$all_kengen [7] = substr ( $dummy, $ii + 6, 1 ); // 編集権限
	$all_kengen [8] = substr ( $dummy, $ii + 7, 1 ); //　削除権限
}

//#################### header ファイルを読み込み、<div id='content'> を設定 ####################
//まず、header　部分（共通）を読み込む
//readfile('./header.html');
require ('./header.php');

// この中身を表示する <div id='content'> を書く
//echo "<div id='content'>";

// ####### ここで対応分類情報（追加、削除、修正）を行う ##########
// アクセス方法は taioucat_control.php?action=xxxx&id=zzzz
//  xxxxx は add, delete, modify,list,search,detailsearch
//  add, delete の場合は &id=zzzz でidを付ける


//各種設定を読み込み
require_once ("./common.php");
require_once ("./toiawase_function.php");
require_once ("./toiawase_template.php");
require ("./customer_template.php");
require_once ("./taiou_template.php");
require_once ("./teigi.php");

//アクション名＆ID番号取得
$action = $_GET ['action'];
$id = $_GET ['id'];
$setting = $_GET ['setting'];
$cust_id = $_GET ['cust_id'];
$user_id = $_SESSION ['id'];
$user_namae = $_SESSION ['namae'];
//ページングに使用
$left_page = $_GET['lpage'];
$right_page = $_GET['rpage'];
$now_page = $_GET['page'];
if($now_page == ""){ $now_page = 1;}

//検索時の検索条件取得
$sw = $_GET ['search']; //search word 略して sw

// ## 詳細検索時の　条件取得
if($action == 'detailsearch'){
	//お客情報
	$tel = $_GET ['tel'];
	$kaisha = $_GET ['kaisha'];
	$busho = $_GET ['busho'];
	$tantousha = $_GET ['tantousha'];
	$zip = $_GET ['zip'];
	$address = $_GET ['address'];
	//問合せ情報取得
	$id = $_GET ['id'];
	$user_id = $_GET ['user_id'];
	$tocat_id = $_GET ['tocat_id'];
	$naiyou = $_GET ['naiyou'];
	$taiou_user_id = $_GET ['taiou_user_id'];
	$fyear_to = $_GET ['fyear_to'];
	$fmonth_to = $_GET ['fmonth_to'];
	$fday_to = $_GET ['fday_to'];
	$tyear_to = $_GET ['tyear_to'];
	$tmonth_to = $_GET ['tmonth_to'];
	$tday_to = $_GET ['tday_to'];

	//対応情報取得
	$ta_id = $_GET ['ta_id'];
	$ta_user_id = $_GET ['ta_user_id'];
	$tacat_id = $_GET ['tacat_id'];
	$ta_naiyou = $_GET ['ta_naiyou'];
	$fyear = $_GET ['fyear'];
	$fmonth = $_GET ['fmonth'];
	$fday = $_GET ['fday'];
	$tyear = $_GET ['tyear'];
	$tmonth = $_GET ['tmonth'];
	$tday = $_GET ['tday'];
}

//  #########  ここから　完了の表示、非表示　　対応情報の表示、非表示に使ってたが　これを止める ############
 //現在のセッション情報を取得
 $doneView = $_SESSION ['doneView'];
// $taiouView = $_SESSION ['taiouView'];

 if ($setting == 'noDoneView') { //完了した問合せは表示しない
 $doneView = 0;
 $_SESSION ['doneView'] = 0;
 $sql = "update user set doneView = 0 where id = " . $_SESSION ['id'];
 $res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
 } elseif ($setting == 'DoneView') { //完了した問合せも表示する
 $doneView = 1;
 $_SESSION ['doneView'] = 1;
 $sql = "update user set doneView = 1 where id = " . $_SESSION ['id'];
 $res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
 }


/*elseif ($setting == 'noTaiouView') { //対応情報を表示しない
 $taiouView = 0;
 $_SESSION ['taiouView'] = 0;
 $sql = "update user set taiouView = 0 where id = " . $_SESSION ['id'];
 $res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
 } elseif ($setting == 'TaiouView') { //対応情報を表示する
 $taiouView = 1;
 $_SESSION ['taiouView'] = 1;
 $sql = "update user set taiouView = 1 where id = " . $_SESSION ['id'];
 $res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
 }
*/

//共通の設定 検索の時は Where を変更
$extract = "t.id as id, t.nichiji as tn, c.tel as ctel, c.kaisha as ck, c.tantousha as ct, u.namae as un, toc.name as tocn,
	 			 t.naiyou as tna,ta.id as taid, ta.nichiji as tan, tac.name as tacn, us.namae as usn, ta.naiyou as tana";

$extract2 = "max(temp.tan) as tan,temp.id as id, temp.tn as tn, temp.ctel as ctel, temp.ck as ck, temp.ct as ct, temp.un as un, temp.tocn as tocn,
	 			 temp.tna as tna,temp.taid as taid, temp.tacn as tacn, temp.usn as usn, temp.tana as tana";

$from = "(((toiawase as t left join user as u on t.user_id = u.id)
	 				left join customer as c on t.cust_id = c.id )
	 					left join toiawasecat as toc on t.cat_id = toc.id)
				left join
			  ((taiou as ta left join user as us on ta.user_id = us.id)
			  		left join taioucat as tac on ta.cat_id = tac.id)
			   on t.id = ta.toiawase_id";


$where = "where 1";
$groupby = " group by t.id";
$groupby2 = " group by temp.id";

$orderby = " order by t.nichiji DESC,ta.nichiji DESC ";
$orderby2 = " order by temp.tn DESC";

$limit = " limit ".$num_list*($now_page-1).",".$num_list;

//----------------各アクション毎の処理 ----------------------
// %%%%%%%%%%%%一覧表示＆検索のとき%%%%%%%%%%%%%%%%%%%
if ($action == 'list' or $action == 'search' or $action == 'detailsearch') {

	if ($action == 'list') {

		//完了を表示させない場合、完了の問い合わせIDを whereで外す
		if($_SESSION ['doneView'] == 0){
			//まず、完了の問い合わせIDを調べる。
			$sql = "select taiou.toiawase_id as tid from taiou left join taioucat on taiou.cat_id = taioucat.id where taioucat.name = '完了'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			while ( $row = $res->fetchRow ( DB_FETCHMODE_ASSOC ) ) {//完了の問い合わせIDは外す
				$where .= " and  t.id <>".$row['tid']." ";
			}
		}

		$sql = "select ".$extract2." from toiawase inner join (select " . $extract . " from " . $from . " " . $where.$orderby.") as temp on toiawase.id = temp.id ".$groupby2.$orderby2.$limit;


	} elseif ($action == 'search') {

		$where = "where (t.id like '%" . $sw . "%' or c.kaisha like '%" . $sw . "%' or c.tantousha like '%" . $sw . "%' or u.namae like '%" . $sw . "%' or toc.name like '%" . $sw . "%' or t.naiyou like '%" . $sw . "%' or ta.id like '%" . $sw . "%' or tac.name like '%" . $sw . "%' or us.namae like '%" . $sw . "%' or ta.naiyou like '%" . $sw . "%')";

		//完了を表示させない場合、完了の問い合わせIDを whereで外す
		if($_SESSION ['doneView'] == 0){
			//まず、完了の問い合わせIDを調べる。
			$sql = "select taiou.toiawase_id as tid from taiou left join taioucat on taiou.cat_id = taioucat.id where taioucat.name = '完了'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			while ( $row = $res->fetchRow ( DB_FETCHMODE_ASSOC ) ) {//完了の問い合わせIDは外す
				$where .= " and  t.id <>".$row['tid']." ";
			}
		}

		//		$sql = "select " . $extract . " from " . $from . " " . $where.$orderby;
		$sql = "select ".$extract2." from toiawase inner join (select " . $extract . " from " . $from . " " . $where.$orderby.") as temp on toiawase.id = temp.id ".$groupby2.$orderby2.$limit;

	} elseif ($action == 'detailsearch') {
		if (isset ( $_GET ['submit'] )) {


			//問い合わせ情報の日時設定（from)
			if ($fyear_to != "") {
				if ($fmonth_to == "") {
					$fmonth_to = '01';
				}
				if ($fday_to == "") {
					$fday_to = '01';
				}
				$fnichiji_to = $fyear_to . "-" . $fmonth_to . "-" . $fday_to . " 00:00:00";
			} else {
				$fnichiji_to = "";
			}
			//問い合わせ情報の日時設定(to)
			if ($tyear_to != "") {
				if ($tmonth_to == "") {
					$tmonth_to = '12';
				}
				if ($tday_to == "") {
					$tday_to = '31';
				}
				$tnichiji_to = $tyear_to . "-" . $tmonth_to . "-" . $tday_to . " 23:59:59";
			} else {
				$tnichiji_to = "";
			}

			//対応情報の日時設定（from)
			if ($fyear != "") {
				if ($fmonth == "") {
					$fmonth = '01';
				}
				if ($fday == "") {
					$fday = '01';
				}
				$fnichiji = $fyear . "-" . $fmonth . "-" . $fday . " 00:00:00";
			} else {
				$fnichiji = "";
			}
			//対応情報の日時設定(to)
			if ($tyear != "") {
				if ($tmonth == "") {
					$tmonth = '12';
				}
				if ($tday == "") {
					$tday = '31';
				}
				$tnichiji = $tyear . "-" . $tmonth . "-" . $tday . " 23:59:59";
			} else {
				$tnichiji = "";
			}

			$where = " where c.tel like '%" . $tel . "%' and c.kaisha like '%" . $kaisha . "%' and c.busho like '%" . $busho . "%' and c.tantousha like '%" . $tantousha . "%' and c.zip like '%" . $zip . "%' and c.address like '%" . $address . "%' and t.id like '%" . $id . "%' and t.naiyou like '%" . $naiyou . "%' ";

			if (($ta_id != "") or ($ta_naiyou != "")) {
				$where .= "and ta.id like '%" . $ta_id . "%' and ta.naiyou like '%" . $ta_naiyou . "%' ";
			}
			if ($user_id != "") {
				$where .= "and u.id = '" . $user_id . "' ";
			}
			if ($tocat_id != "") {
				$where .= "and toc.id = '" . $tocat_id . "' ";
			}
			if ($ta_user_id != "") {
				$where .= "and us.id = '" . $ta_user_id . "' ";
			}
			if ($tacat_id != "") {
				$where .= "and tac.id = '" . $tacat_id . "' ";
			}
			if ($taiou_user_id != "") {
				$where .= "and taiou_user_id ='" . $taiou_user_id . "'";
			}
			if ($fnichiji_to != "") {
				$where .= "and t.nichiji >= '" . $fnichiji_to . "' ";
			}
			if ($tnichiji_to != "") {
				$where .= "and t.nichiji <= '" . $tnichiji_to . "'";
			}
			if ($fnichiji != "") {
				$where .= "and ta.nichiji >= '" . $fnichiji . "' ";
			}
			if ($tnichiji != "") {
				$where .= "and ta.nichiji <= '" . $tnichiji . "'";
			}

			//			$sql = "select " . $extract . " from " . $from . " " . $where.$orderby;
			$sql = "select ".$extract2." from toiawase inner join (select " . $extract . " from " . $from . " " . $where.$orderby.") as temp on toiawase.id = temp.id ".$groupby2.$orderby2.$limit;

		}
		echo "<div id='toiawase_add'>";
		echo "<h3>詳細検索</h3><br />";
		echo "<form action='./toiawase_control.php' method='get'>";
		echo "<input type='hidden' name='action' value='detailsearch' />";

		//テンプレートの読み込み（ここで書き出す）


		echo "<div id='toiawase_search1'>";
		echo "<h4> お客様情報 </h4>";
		customer_template ( 0, 1, 0, 2, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
		echo "</div>";
		echo "<div id='toiawase_search2'>";
		echo "<h4> 問合せ情報 </h4>";
		toiawase_template ( 0, 1, 0, 2, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error );
		echo "</div>";
		echo "<div id='toiawase_search3'>";
		echo "<h4> 対応情報 </h4>";
		taiou_template ( 0, 1, 0, 2, $taid, $toiawase_id, $tauser_id, $tauser_namae, $tacat_id, $tanichiji, $tanaiyou, $tanum_file, $taiou_user_id, $taiou_user_name, $taerror );
		echo "</div>";

		echo "<input type='submit' name='submit' value='検索'>";
		echo "</form>";
		echo "</div>";
	}

	// action == detailsearch の初めての表示以外は　SQL実行して結果を表示！！
	if (! ($action == 'detailsearch' and ! isset ( $_GET ['submit'] ))) {
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


		//結果の表示
		?>
<div id='toiawase_list'><?php
if ($action != 'detailsearch') {
	?>
<form action="toiawase_control.php" method="GET"><input type="hidden"
	name="action" value="search" /> <font color="#FF0000" size="+1">検索</font>
<input type="text" size="30" name="search" value="<?php echo $sw; ?>" />
<input type="submit" name="submit" value="検索" /> <a
	href="./toiawase_control.php?action=detailsearch">詳細検索 </a></form>

	<?php
}
?> <br />
<?php

$sql_num = "select temp.id from toiawase inner join (select " . $extract . " from " . $from . " " . $where.$orderby.") as temp on toiawase.id = temp.id ".$groupby2;
$res_num = db_open_exec_close ( $sql_num ); // DBオーブン、SQL実行、DBクローズ

$num_all = $res_num ->numRows();

if ($action == 'list') {
	echo "<h3> 問合せ一覧 </h3>";

	echo "全件数：　" . $num_all . "件";

	########## 完了の表示、非表示を行ってたが、止める ###########################
	 echo "　　　　　　　"; //空白行追
	 if ($doneView == 1) { //完了の問い合わせ表示するになっていた時。
	 echo "<a href='toiawase_control.php?action=list&setting=noDoneView'>*完了した問合せを表示しない*</a>";
	 } else {
	 echo "<a href='toiawase_control.php?action=list&setting=DoneView'>*完了した問合せも表示する*</a>";
	 }


	 /*
	 echo "　　　　　　　"; //空白行追

	 if ($taiouView == 1) { //対応情報を表示する設定になっている時。
	 echo "<a href='toiawase_control.php?action=list&setting=noTaiouView'>*対応情報を表示しない*</a>";
	 } else {
	 echo "<a href='toiawase_control.php?action=list&setting=TaiouView'>*対応情報も表示する*</a>";
	 }
	 */



} elseif ($action == 'search' or $action == 'detailsearch') {
	echo "<h3> 問合せ　検索結果 </h3>";

	echo "検索結果：　" . $num_all . "件";

	########## 完了の表示、非表示を行ってたが、止める ###########################
	 echo "　　　　　　　"; //空白行追
	 if ($doneView == 1) { //完了の問い合わせ表示するになっていた時。
	 	echo "<a href='toiawase_control.php?action=search&search=".$sw."&setting=noDoneView'>*完了した問合せを表示しない*</a>";
	 } else {
	 	echo "<a href='toiawase_control.php?action=search&search=".$sw."&setting=DoneView'>*完了した問合せも表示する*</a>";
	 }

	 echo "<br />";
}

echo "<br />";

//新規追加＆ページング表示
echo "<div id='add_bar'>";
echo "<div id='add'>";
if ($all_kengen [2] == 1) { echo "<a href='toiawase_control.php?action=add'>新規追加</a>";}
echo "</div>";
echo "<div id='paging'>";

//URLの設定
if($action=='detailsearch'){
	$url="./toiawase_control.php?action=".$action."&tel=".$tel."&kaisha=".$kaisha."&busho=".$busho."&tantousha=".$tantousha."&zip=".$zip."&address=".$address.
    			 "&id=".$id."&fyear_to=".$fyear_to."&fmonth_to=".$fmonth_to."&fday_to=".$fday_to."&tyear_to=".$tyear_to."&tmonth_to=".$tmonth_to."&tday_to=".$tday_to.
    			 "&user_id=".$user_id."&tocat_id=".$tocat_id."&naiyou=".$naiyou."&ta_id=".$ta_id."&toiawase_id=".$toiawase_id."&fyear=".$fyear."&fmonth=".$fmonth."&fday=".$fday.
    			 "&tyear=".$tyear."&tmonth=".$tmonth."&tday=".$tday."&ta_user_id=".$ta_user_id."&tacat_id=".$tacat_id."&ta_naiyou=".$ta_naiyou."&submit=".$submit."&page=";
}elseif($action == 'search'){
	$url="./toiawase_control.php?action=".$action."&search=".$sw."&page=";
}elseif($action == 'list'){
	$url = "./toiawase_control.php?action=".$action."&page=";
}
//ページング表示
paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);

echo "</div>";
echo "</div>";



toiawase_list_template ( $res, $all_kengen, $doneView, $taiouView );

//新規追加＆ページング表示
echo "<div id='add_bar'>";
echo "<div id='add'>";
if ($all_kengen [2] == 1) { echo "<a href='toiawase_control.php?action=add'>新規追加</a>";}
echo "</div>";
echo "<div id='paging'>";

//URLの設定
if($action=='detailsearch'){
	$url="./toiawase_control.php?action=".$action."&tel=".$tel."&kaisha=".$kaisha."&busho=".$busho."&tantousha=".$tantousha."&zip=".$zip."&address=".$address.
    			 "&id=".$id."&fyear_to=".$fyear_to."&fmonth_to=".$fmonth_to."&fday_to=".$fday_to."&tyear_to=".$tyear_to."&tmonth_to=".$tmonth_to."&tday_to=".$tday_to.
    			 "&user_id=".$user_id."&tocat_id=".$tocat_id."&naiyou=".$naiyou."&ta_id=".$ta_id."&toiawase_id=".$toiawase_id."&fyear=".$fyear."&fmonth=".$fmonth."&fday=".$fday.
    			 "&tyear=".$tyear."&tmonth=".$tmonth."&tday=".$tday."&ta_user_id=".$ta_user_id."&tacat_id=".$tacat_id."&ta_naiyou=".$ta_naiyou."&submit=".$submit."&page=";
}elseif($action == 'search'){
	$url="./toiawase_control.php?action=".$action."&search=".$sw."&page=";
}elseif($action == 'list'){
	$url = "./toiawase_control.php?action=".$action."&page=";
}
//ページング表示
paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);

echo "</div>";
echo "</div>";


echo "</div>";
	} //if文終了


	//%%%%%%%%%%%%%%% 追加,修正　のとき %%%%%%%%%%%%%%%%%%%%%%
} elseif ($action == 'add' or $action == 'modify') {

	//追加、編集権限があるか確認　ない場合はメッセージを出して exit
	if ($action == 'add' and $all_kengen [2] == 0) {
		echo "<div id='toiawase_add'>";
		echo "<h3>追加権限がありません</h3>";
		echo "</div>";
		exit ();
	} elseif ($action == 'modify' and $all_kengen [3] == 0) {
		echo "<div id='toiawase_add'>";
		echo "<h3>編集権限がありません</h3>";
		echo "</div>";
		exit ();
	}

	if ($action == 'add' and $cust_id == "") {
		header ( "Location: ./customer_control.php?action=detailsearch&from=toiawase" );
		exit ();
	} elseif ($action == 'modify') {

		$sql = "select * from toiawase where id='" . $id . "'"; // sql設定
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


		$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );

		if ($row ['id'] == null) {
			echo "<div id='taioucat_add'>";
			echo "<h3>一致する問合せ情報が見つかりません</h3>";
			echo "</div>";
			exit ();
		}

		$cust_id = $row ['cust_id'];
		$user_id = $row ['user_id'];
		$tocat_id = $row ['cat_id'];
		$nichiji = $row ['nichiji'];
		$naiyou = $row ['naiyou'];
		$taiou_user_id = $row ['taiou_user_id'];
	}

	if (($action == 'add' and $cust_id != "") or ($action == 'modify')) {
		$sql = "select * from customer where id = '" . $cust_id . "'";
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


		$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );

		if ($row ['tel'] == null) {
			echo "<div id='customer_add'>";
			echo "<h3>一致するお客様情報が見つかりません</h3>";
			echo "</div>";
			exit ();
		}

		$tel = $row ['tel'];
		$kaisha = $row ['kaisha'];
		$busho = $row ['busho'];
		$tantousha = $row ['tantousha'];
		$zip = $row ['zip'];
		$address = $row ['address'];

	}

	if (isset ( $_POST ['submit'] )) {
		//エラーの有無の確認　& なかった場合は変数を設定
		// エラーがあった場合		$error -> 0: 問題なし、　+10: 問い合わせ分類が未選択、 +1: 内容が未記入
		$error = 0;

		if ($_POST ['tocat_id'] == null) {
			$error += 10;
		}
		if ($_POST ['naiyou'] == null) {
			$error += 1;
		}

		$year = $_POST ['year'];
		$month = $_POST ['month'];
		$day = $_POST ['day'];
		$hour = $_POST ['hour'];
		$minute = $_POST ['minute'];
		$user_id = $_POST ['user_id'];
		$tocat_id = $_POST ['tocat_id'];
		$naiyou = $_POST ['naiyou'];
		$taiou_user_id = $_POST ['taiou_user_id'];

		$nichiji = $year . "-" . $month . "-" . $day . " " . $hour . ":" . $minute . ":00";

		//エラーがなかったら登録処理
		if ($error == 0 && $action == 'add') { // action が add なら追加処理
			$sql = "insert into toiawase(cust_id,user_id,cat_id,nichiji,naiyou,taiou_user_id) values('" . $cust_id . "','" . $user_id . "','" . $tocat_id . "','" . $nichiji . "','" . $naiyou . "','" . $taiou_user_id . "' )"; // sql設定
			$id = db_open_exec_getid_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


			echo "<div id='taioucat_add'>";
			echo "<h3>対応状況分類情報の登録　完了しました</h3>";

			//添付ファイルのアップロード処理
			if (is_uploaded_file ( $_FILES ["upload"] ["tmp_name"] )) {
				// テーブルに情報登録
				$sql = "insert into toiawase_tenpu(toiawase_id,name) values('" . $id . "','" . $_FILES ['upload'] ['name'] . "')";
				$ta_id = db_open_exec_getid_close ( $sql );

				$file_name = mb_convert_encoding ( $_FILES ['upload'] ['name'], 'SJIS', 'UTF-8' );

				if (move_uploaded_file ( $_FILES ["upload"] ["tmp_name"], "./attached_file/toiawase/" . $file_name )) {
					//	chmod("./attached_file/taiou/" . $_FILES["upload"]["name"], 0644);
				} else {
					echo "ファイルをアップロードできませんでした。";
				}
			}

			//メール送信処理
			if ($mail_flag == 1) {
				$sql = "select email from user where id='" . $taiou_user_id . "'";
				$res = db_open_exec_close ( $sql );
				$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
				$email = $row ['email'];

				if ($email != "") {
					mb_language ( "ja" );
					mb_internal_encoding ( "UTF8" );

					$title = "【inqShare】 対応依頼のお知らせ";
					$honbun = "以下の問合せに対して対応依頼がありましたのでご連絡します。\n\n";
					$honbun .= "問合せ番号：" . $id . "\n";
					$from = "From: " . $mail_from;

					ini_set ( "SMTP", $mail_server );

					if (mb_send_mail ( $email, $title, $honbun, $from )) {
						echo "対応依頼者にメールを送信しました";
					} else {
						echo "対応依頼者へのメール送信が失敗しました";

					}

				}
			}

			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");
			exit ();

		} elseif ($error == 0 && $action == 'modify') { // action が modify なら修正処理
			$sql = "update toiawase set nichiji='" . $nichiji . "',user_id='" . $user_id . "', cat_id='" . $tocat_id . "',naiyou='" . $naiyou . "',taiou_user_id='" . $taiou_user_id . "' where id='" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


			echo "<div id='taioucat_add'>";
			echo "<h3>対応状況分類情報の修正　完了しました</h3>";

			//添付ファイルのアップロード処理
			if (is_uploaded_file ( $_FILES ["upload"] ["tmp_name"] )) {
				// テーブルに情報登録
				$sql = "insert into toiawase_tenpu(toiawase_id,name) values('" . $id . "','" . $_FILES ['upload'] ['name'] . "')";
				$ta_id = db_open_exec_getid_close ( $sql );

				$file_name = mb_convert_encoding ( $_FILES ['upload'] ['name'], 'SJIS', 'UTF-8' );

				if (move_uploaded_file ( $_FILES ["upload"] ["tmp_name"], "./attached_file/toiawase/" . $file_name )) {
					//	chmod("./attached_file/taiou/" . $_FILES["upload"]["name"], 0644);
				} else {
					echo "ファイルをアップロードできませんでした。";
				}
			}

			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");
			exit ();

		}
	}

	// 表示部分


	//テンプレートの読み込み（お客様情報表示）
	echo "<div id='customer_add'>";

	echo "<h3>お客様情報</h3>";
	customer_template ( 0, 0, 0, 0, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );

	echo "</div>";

	echo "<div id ='toiawase_add'>";

	if ($action == 'add') {
		echo "<h3>問合せ情報</h3>";
		echo "<form action='./toiawase_control.php?action=add&cust_id=" . $cust_id . "' method='post' enctype='multipart/form-data'>";
		toiawase_template ( 1, 1, 1, 5, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error );

		echo "<input type='submit' name='submit' value='追加'>";
	} elseif ($action == 'modify') {
		echo "<h3>問合せ情報　編集</h3>";
		echo "<form action='./toiawase_control.php?action=modify&id=" . $id . "' method='post' enctype='multipart/form-data'>";
		//テンプレートの読み込み（ここで書き出す）
		toiawase_template ( 1, 1, 1, 6, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error );
		echo "<input type='submit' name='submit' value='修正'>";
	}
	echo "</form>";
	echo "</div>";

} elseif ($action == 'view' or $action == 'delete') {

	if ($action == 'delete' and $all_kengen [4] == 0) {
		echo "<div id='taioucat_add'>";
		echo "<h3>削除権限がありません</h3>";
		echo "</div>";
		exit ();
	}

	//問合せ情報を取得
	$sql = "select t.cust_id as cust_id,t.user_id as user_id,u.namae as user_namae,t.cat_id as tocat_id,t.nichiji as nichiji,t.naiyou as naiyou, t.taiou_user_id as taiou_user_id
			 from toiawase as t left join user as u on t.user_id = u.id where t.id = '" . $id . "'";
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
	$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );

	if ($row ['cust_id'] == null) {
		echo "<div id='customer_add'>";
		echo "<h3>一致する問合せ情報が見つかりません</h3>";
		echo "</div>";
		exit ();
	}

	$cust_id = $row ['cust_id'];
	$user_id = $row ['user_id'];
	$user_namae = $row ['user_namae'];
	$tocat_id = $row ['tocat_id'];
	$nichiji = $row ['nichiji'];
	$naiyou = $row ['naiyou'];
	$taiou_user_id = $row ['taiou_user_id'];

	//お客さん情報を取得
	$sql = "select * from customer where id = '" . $cust_id . "'";
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
	$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );

	if ($row ['tel'] == null) {
		echo "<div id='customer_add'>";
		echo "<h3>一致するお客様情報が見つかりません</h3>";
		echo "</div>";
		exit ();
	}

	$tel = $row ['tel'];
	$kaisha = $row ['kaisha'];
	$busho = $row ['busho'];
	$tantousha = $row ['tantousha'];
	$zip = $row ['zip'];
	$address = $row ['address'];

	//対応情報を取得
	$sql = "select t.id as id,t.user_id as user_id,u.namae as user_namae,t.cat_id as tacat_id,t.nichiji as nichiji,t.naiyou as naiyou,t.taiou_user_id as taiou_user_id
			 from taiou as t left join user as u on t.user_id = u.id where t.toiawase_id = '" . $id . "' order by nichiji";
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


	$num = 0;
	while ( $row = $res->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
		$num += 1;
		$taiou_id [$num] = $row ['id'];
		$tauser_id [$num] = $row ['user_id'];
		$tauser_namae [$num] = $row ['user_namae'];
		$tacat_id [$num] = $row ['tacat_id'];
		$tanichiji [$num] = $row ['nichiji'];
		$tanaiyou [$num] = $row ['naiyou'];
		$tataiou_user_id [$num] = $row ['taiou_user_id'];
	}

	if ($action == 'view') {
		//テンプレートの読み込み（お客様情報表示）
		echo "<div id='customer_add'>";

		echo "<h3>お客様情報</h3>";
		customer_template ( 0, 0, 0, 0, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );

		//テンプレートの読み込み（問合せ情報表示）
		echo "<h3>問合せ情報</h3>";
		toiawase_template ( 0, 0, 0, 0, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error );

		//テンプレートの読み込み（問合せ情報表示）
		echo "<h3>対応情報</h3>";
		echo "<p><strong>対応件数： " . $num . "件</strong></p>";

		for($i = 1; $i <= $num; $i ++) {
			echo $i . "件目<br />";
			taiou_template ( 0, 0, 0, 0, $taiou_id [$i], $id, $tauser_id [$i], $tauser_namae [$i], $tacat_id [$i], $tanichiji [$i], $tanaiyou [$i], $tanum_file, $tataiou_user_id [$i], $tataiou_user_name[$i], $taerror );
		}
		echo "</div>";

	} elseif ($action == 'delete') {
		echo "<div id='customer_add'>";
		echo "<h3>問合せ情報　削除</h3>";

		if (! isset ( $_GET ['ans'] )) {
			echo "<br />以下の問合せ分類情報を削除してもよろしいですか？　　";
			echo "<a href='./toiawase_control.php?action=delete&id=" . $id . "&ans=yes'>はい</a>　　";
			echo "<a href='./toiawase_control.php?action=delete&id=" . $id . "&ans=no'>いいえ</a>　　";

			//このユーザ情報が問い合わせ情報、対応情報で使われてないかチェック
			$sql_tenpu = "select toiawase_id from toiawase_tenpu where toiawase_id = '" . $id . "'";
			$sql_tai = "select toiawase_id from taiou where toiawase_id = '" . $id . "'";
			$res_tenpu = db_open_exec_close ( $sql_tenpu ); // DBオーブン、SQL実行、DBクローズ
			$res_tai = db_open_exec_close ( $sql_tai ); // DBオーブン、SQL実行、DBクローズ
			$tenpu_num = $res_tenpu->numRows ();
			$tai_num = $res_tai->numRows ();

			if ($tenpu_num != 0 or $tai_num != 0) {
				echo "<font color='red' ><br /><br />（注）この問合せ情報を削除すると、以下の関連する情報も削除されます<br /><br/>";
				if ($tenpu_num != 0) {
					echo "　　添付ファイル：　" . $tenpu_num . "件<br />";
				}
				if ($tai_num != 0) {
					echo "　　対応情報：　　" . $tai_num . "件<br />";
				}
				echo "</font>";
			}

			echo "<br />";

			echo "<h3>お客様情報</h3>";
			customer_template ( 0, 0, 0, 0, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );

			//テンプレートの読み込み（問合せ情報表示）
			echo "<h3>問合せ情報</h3>";
			toiawase_template ( 0, 0, 0, 0, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error );

			echo "</div>";

		} elseif ($_GET ['ans'] == 'yes') {
			$sql = "delete from toiawase where id='" . $id . "'"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


			$sql = "delete from taiou where toiawase_id = '" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


			$sql = "delete from toiawase_tenpu where toiawase_id='" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ


			echo "<br />問合せ情報を削除しました";
			exit ();
		} elseif ($_GET ['ans'] == 'no') {
			header ( "Location: ./toiawase_control.php?action=list" );
			exit ();
		}
	}

} //action による分岐 の終了
?> <?php
//#################### <div id='content'> を終了し、footer ファイルを読みむ ####################
// <div id='content'> 終了
echo "</div>";
//最後に、footer　部分（共通）を読み込む
readfile ( './footer.html' );
?>