<?php
//まず何はともあれ、セッション開始
session_start ();
//##################  認証済みか確認 #########
// 認証済みなら権限設定してスルー、未認証なら login.php にheaderで移動
if (! isset ( $_SESSION ['id'] )) {
	header ( "Location: ./login.php" );
	exit ();
} else {
	$ii = 0; // ここの値だけ、各コントローラで変更する。 user（ユーザ情報） -> 0 customer（お客さん情報） -> 4  toiawase -> 8  taiou -> 12
	$dummy = $_SESSION ['kengen'];
	$all_kengen [1] = substr ( $dummy, $ii, 1 ); // 参照権限
	$all_kengen [2] = substr ( $dummy, $ii + 1, 1 ); //追加権限
	$all_kengen [3] = substr ( $dummy, $ii + 2, 1 ); // 編集権限
	$all_kengen [4] = substr ( $dummy, $ii + 3, 1 ); //　削除権限
}


//#################### header ファイルを読み込み、<div id='content'> を設定 ####################
//まず、header　部分（共通）を読み込む
require ('./header.php');

// この中身を表示する <div id='content'> を書く
//echo "<div id='content'>";

// ####### ここでユーザ管理（追加、削除、修正）を行う ##########
// アクセス方法は user_control.php?action=xxxx&id=zzzz
//  xxxxx は add, delete, modify,list,search,detailsearch
//  add, delete, modify の場合は &id=zzzz でidを付ける


//各種設定を読み込み
require_once ("./teigi.php");
require_once ("./common.php");
require_once ("./user_function.php");
require_once ("./user_template.php");

//アクション名＆ID番号取得
$action = $_GET ['action'];
$id = $_GET ['id'];

//詳細検索時の検索条件
$namae = $_GET ['namae'];
$username = $_GET ['username'];
$email = $_GET ['email'];
$ken = $_GET ['kengen'];
$submit = $_GET['submit'];
//検索時の検索条件
$search_word = $_GET ['search'];

//ページングに使用
$left_page = $_GET['lpage'];
$right_page = $_GET['rpage'];
$now_page = $_GET['page'];
if($now_page == "" or !isset($now_page)){ $now_page = 1;}

//----------------各アクション毎の処理 ----------------------
// %%%%%%%%%%%%一覧表示＆検索のとき%%%%%%%%%%%%%%%%%%%
if ($action == 'list' or $action == 'search' or $action == 'detailsearch') {
	
	if ($action == 'list') {
		$sql = "select * from user"; // sql設定
	} elseif ($action == 'search') {
		$sql = "select * from user where namae like'%" . $search_word . "%' or username like '%" . $search_word . "%' or email like '%" . $search_word . "%'";
	} elseif ($action == 'detailsearch') {
		if (isset ( $_GET ['submit'] )) {
			
			//権限の2進数化（SQL文で比較で使用）
			$ken_bit = kengen_binary ( $ken );
			
			$condition = "where namae like'%" . $namae . "%' and username like '%" . $username . "%' and email like '%" . $email . "%' and kengen like '" . $ken_bit . "'";
			
			$sql = "select * from user " . $condition;
		
		}
		
		echo "<div id='user_add'>";
		echo "<form action='./user_control.php' method='GET' >";
		echo "<h3>詳細検索</h3>";
		echo "<input type='hidden' name='action' value='detailsearch'/>";

		//テンプレートの読み込み（ここで書き出す）
		user_template ( 0, 1, 0, 2, $namae, $username, $email, $ken, $error );
		echo "<input type='submit' name='submit' value='検索'>";
		echo "</form>";
		echo "</div>";
	}
	
	
	
	// action == detailsearch の初めての表示以外は　SQL実行して結果を表示！！  
	if (! ($action == 'detailsearch' and ! isset ( $_GET ['submit'] ))) {
		
		$sql_num = $sql;
		$sql = $sql." limit ".(($now_page-1)*$num_list).",".$num_list;
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		$res_num = db_open_exec_close ( $sql_num );
		
		$num_all = $res_num ->numRows();

		//結果の表示
		?>
<div id='user_list'>
   
   <?php
		if ($action != 'detailsearch') {
			?>
   <form action="user_control.php" method="GET">
   <input type="hidden" name="action" value="search" />
   <font color="#FF0000" size="+1">検索</font>
   <input type="text" size="30" name="search"  value="<?php echo $search_word; ?>"/> 
   <input type="submit"  name="submit" value="検索" /> 
   <a href="./user_control.php?action=detailsearch">詳細検索 </a></form>
   <?php
		}
		?>
   <br />
   <?php
		if ($action == 'list') {
			echo "<h3> ユーザ一覧 </h3>";
			echo "全件数：　" . $num_all . "件<br />";
		} elseif ($action == 'search' or $action == 'detailsearch') {
			echo "<h3> ユーザ検索結果 </h3>";
			
			echo "検索結果：　" . $num_all . "件<br />";
		}
		echo "<br />";

		//新規追加＆ページング表示
		echo "<div id='add_bar'>";
   		echo "<div id='add'>";
		if ($all_kengen [2] == 1) { echo "<a href='user_control.php?action=add'>新規追加</a>";} 
   		echo "</div>";
   		echo "<div id='paging'>";
     	
     	//URLの設定
     	if($action=='detailsearch'){
    		$url="./user_control.php?action=".$action."&namae=".$namae."&username=".$username."&email=".$email."&submit=".$submit."&page=";
     	}elseif($action == 'search'){
     		$url="./user_control.php?action=".$action."&search=".$search_word."&page=";
     	}elseif($action == 'list'){
     		$url = "./user_control.php?action=".$action."&page=";
     	}
     	//ページング表示
		paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);
  
  		echo "</div>";
   		echo "</div>";

   		//一覧の表示
		user_list_template ( $res, $all_kengen );
		
		//新規追加＆ページング表示
		echo "<div id='add_bar'>";
   		echo "<div id='add'>";
		if ($all_kengen [2] == 1) { echo "<a href='user_control.php?action=add'>新規追加</a>";} 
   		echo "</div>";
   		echo "<div id='paging'>";
     	//ページング表示
     	if($action=='detailsearch'){
    		$url="./user_control.php?action=".$action."&namae=".$namae."&username=".$username."&email=".$email."&submit=".$submit."&page=";
     	}elseif($action == 'search'){
     		$url="./user_control.php?action=".$action."&search=".$search_word."&page=";
     	}
		paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);
  
  		echo "</div>";
   		echo "</div>";
		
		echo "</div>";
	} //if文終了


//%%%%%%%%%%%%%%% 追加のとき %%%%%%%%%%%%%%%%%%%%%%
} elseif ($action == 'add' or $action == 'modify') {
	
	//追加、編集権限があるか確認　ない場合はメッセージを出して exit
	if ($action == 'add' and $all_kengen [2] == 0) {
		echo "<div id='user_add'>";
		echo "<h3>追加権限がありません</h3>";
		echo "</div>";
		exit ();
	} elseif ($action == 'modify' and $all_kengen [3] == 0) {
		echo "<div id='user_add'>";
		echo "<h3>編集権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	if (isset ( $_POST ['submit'] )) {
		//エラーの有無の確認　& なかった場合は変数を設定
		// エラーがあった場合		$error -> 0: 問題なし、　+1000000: namaeが未入力  +100000: 既に登録済みのユーザ名　+10000: usernameが未入力 +1000: パスワード1が未入力　
		//							   +100: パスワード2が未入力 +10: パスワードが一致しない、+1: メールアドレスの形式じゃない
		$error = 0;
		
		if ($_POST ['namae'] == null) {
			$error += 1000000;
		}
		if ($_POST ['username'] == null) {
			$error += 10000;
		}
		if ($action == 'add') {
			if ($_POST ['password1'] == null) {
				$error += 1000;
			}
			if ($_POST ['password2'] == null) {
				$error += 100;
			}
		}
		if ($_POST ['password1'] != $_POST ['password2']) {
			$error += 10;
		}
		if ($_POST ['email'] != null) {
			$error += ! mail_check ( $_POST ['email'] );
		} //mail_checkは common.php で定義
		

		$namae = $_POST ['namae'];
		$username = $_POST ['username'];
		$old_username = $_POST ['old_username'];
		$password1 = $_POST ['password1'];
		$password2 = $_POST ['password2'];
		$email = $_POST ['email'];
		
		//権限の設定
		$ken = $_REQUEST ['kengen'];
		
		//　参照権限は全てチェックされているので値をあらかじめ設定（チェックボックスに直接入れて checked disabled にすると値が渡せないので・・）
		$ken [1] = 1;
		$ken [5] = 5;
		$ken [9] = 9;
		$ken [13] = 13;
		
		$kengen = "";
		for($i = 1; $i <= 16; $i ++) {
			if ($ken [$i] == $i) {
				$kengen .= strval ( "1" );
			} else {
				$kengen .= strval ( "0" );
			}
		}
		
		//管理者の時はフル権限に設定
		if ($username == 'admin') {
			$kengen = '1111111111111111';
		}
		
		//既に登録済みのユーザ名がないか確認
		//編集の時で、ユーザ名が変わらない時はスルーする
		if (! (($action == 'modify' and $username == $old_username) or $username == 'admin')) {
			$sql = "select username from user where username ='" . $username . "'"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			if (($res->numRows ()) != 0) {
				$error += 100000;
			}
		}
		
		//エラーがなかったら登録処理
		if ($error == 0 && $action == 'add') { // action が add なら追加処理
			$password = md5 ( $password1 );
			$sql = "insert into user(namae,username,password,email,kengen) values('" . $namae . "','" . $username . "','" . $password . "','" . $email . "','" . $kengen . "')"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<div id='user_add'>";
			echo "<h3>ユーザ情報の登録　完了しました</h3>";
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");
			exit ();
		
		} elseif ($error == 0 && $action == 'modify') { // action が modify なら修正処理
			if ($_POST ['password1'] != null) { // パスワード変更も含む修正時
				$password = md5 ( $password1 );
				$sql = "update user set namae='" . $namae . "',username='" . $username . "',password='" . $password . "',email='" . $email . "',kengen=" . $kengen . " where id='" . $id . "'";
				$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			} else {
				$sql = "update user set namae='" . $namae . "',username='" . $username . "',email='" . $email . "',kengen=" . $kengen . " where id='" . $id . "'";
				$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			}
			
			echo "<div id='user_add'>";
			echo "<h3>ユーザ情報の修正　完了しました</h3>";
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");	
			exit ();
		
		}
	} elseif ($action == 'modify') {
		
		$sql = "select * from user where id='" . $id . "'"; // sql設定
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		

		$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
		
		if ($row ['namae'] == null) {
			echo "<div id='user_add'>";
			echo "<h3>一致するユーザが見つかりません</h3>";
			echo "</div>";
			exit ();
		}
		
		$namae = $row ['namae'];
		$username = $row ['username'];
		$email = $row ['email'];
		$kengen = $row ['kengen'];
		
		$ken = kengen_bunkai ( $kengen ); // 権限を分解する　common.php で定義
	}
	
	// 表示部分  
	

	echo "<div id='user_add'>";
	
	if ($action == 'add') {
		echo "<h3>ユーザ追加</h3>";
		echo "<form action='./user_control.php?action=add' method='post'>";
		//テンプレートの読み込み（ここで書き出す）
		user_template ( 1, 1, 1, 0, $namae, $username, $email, $ken, $error );
		echo "<input type='submit' name='submit' value='追加'>";
	} elseif ($action == 'modify') {
		echo "<h3>ユーザ編集</h3>";
		echo "<form action='./user_control.php?action=modify&id=" . $id . "' method='post'>";
		//テンプレートの読み込み（ここで書き出す）
		user_template ( 1, 1, 1, 1, $namae, $username, $email, $ken, $error );
		echo "<input type='submit' name='submit' value='修正'>";
	}
	
	echo "  </form>";
	echo "</div>";

} elseif ($action == 'view' or $action == 'delete') {
	
	if ($action == 'delete' and $all_kengen [4] == 0) {
		echo "<div id='user_add'>";
		echo "<h3>削除権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	$sql = "select * from user where id='" . $id . "'"; // sql設定
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
	

	$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
	
	$namae = $row ['namae'];
	$username = $row ['username'];
	$email = $row ['email'];
	
	$ken = kengen_bunkai ( $row ['kengen'] ); // 権限を分解する　common.php で定義
	

	echo "<div id='user_add'>";
	
	if ($action == 'view') {
		echo "<h3>ユーザ参照</h3>";
	} elseif ($action == 'delete') {
		echo "<h3>ユーザ削除</h3>";
		
		if (! isset ( $_GET ['ans'] )) {
			echo "<br />以下のユーザを削除してもよろしいですか？　　";
			echo "<a href='./user_control.php?action=delete&id=" . $id . "&ans=yes'>はい</a>　　";
			echo "<a href='./user_control.php?action=delete&id=" . $id . "&ans=no'>いいえ</a>　　";
			
			//このユーザ情報が問い合わせ情報、対応情報で使われてないかチェック
			$sql_toi = "select user_id from toiawase where user_id = '" . $id . "'";
			$sql_tai = "select user_id from taiou where user_id = '" . $id . "'";
			$res_toi = db_open_exec_close ( $sql_toi ); // DBオーブン、SQL実行、DBクローズ
			$res_tai = db_open_exec_close ( $sql_tai ); // DBオーブン、SQL実行、DBクローズ
			$toi_num = $res_toi->numRows ();
			$tai_num = $res_tai->numRows ();
			
			if ($toi_num != 0 or $tai_num != 0) {
				echo "<font color='red' ><br /><br />（注）このユーザは、以下の情報で使われています。<br />";
				echo "　　　削除すると、名前が空白で表示されるようになります。<br /><br />";
				if ($toi_num != 0) {
					echo "　　問合せ情報：　" . $toi_num . "件<br />";
				}
				if ($tai_num != 0) {
					echo "　　対応情報：　　" . $tai_num . "件<br />";
				}
				echo "</font>";
			}
		} elseif ($_GET ['ans'] == yes) {
			$sql = "delete from user where id='" . $id . "'"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<br />ユーザ情報を削除しました";
			exit ();
		} else {
			header ( "Location: ./user_control.php?action=list" );
			exit ();
		}
	}
	
	//テンプレートの読み込み（ここで書き出す）
	user_template ( 0, 0, 0, 0, $namae, $username, $email, $ken, $error );
	
	echo "</div>";

} //action による分岐 の終了
?>

<?php
//#################### <div id='content'> を終了し、footer ファイルを読みむ ####################
// <div id='content'> 終了
echo "</div>";
//最後に、footer　部分（共通）を読み込む
readfile ( './footer.html' );
?>