<?php

//------------------------------------------------------------------------------
//ユーザ権限の数字（5桁）を分解する
//引数 : ユーザ権限の数字（16桁）
//戻り値：分解した結果 $ken[1] ～ [16]
function kengen_bunkai($kengen){

	for($i=1; $i <= 16 ; $i++){ 
		$ken[$i] = substr($kengen,$i-1,1);		
	}
	
	return $ken;
}

//------------------------------------------------------------------------------
//権限の2進数化（SQL文の比較で使用）
//引数 : ユーザ権限の配列 $ken[1] ～ [16]
//戻り値：権限を2進数化した結果　$ken_bit
function kengen_binary($ken){

	   $ken_bit = "";
	   for($i = 1; $i<=16 ; $i ++){
	    if(($i != 1) and ($i != 5) and ($i != 9) and ($i !=13) ){
	       if($ken[$i] != null){ 
			 $ken_bit .= "1";
		   }else{
		   	 $ken_bit .= "_";
		   }
		 }else{
		   $ken_bit .= "1";
		 }
	   }
	   
	   return $ken_bit;
}

?>