<?php
//まず何はともあれ、セッション開始
session_start ();
//##################  認証済みか確認 #########
// 認証済みなら権限設定してスルー、未認証なら login.php にheaderで移動
if (! isset ( $_SESSION ['id'] )) {
	header ( "Location: ./login.php" );
	exit ();
} else {
	$ii = 4; // ここの値だけ、各コントローラで変更する。 user（ユーザ情報） -> 0 customer（お客さん情報） -> 4  toiawase -> 8  taiou -> 12
	$dummy = $_SESSION ['kengen'];
	$all_kengen [1] = substr ( $dummy, $ii, 1 ); // 参照権限
	$all_kengen [2] = substr ( $dummy, $ii + 1, 1 ); //追加権限
	$all_kengen [3] = substr ( $dummy, $ii + 2, 1 ); // 編集権限
	$all_kengen [4] = substr ( $dummy, $ii + 3, 1 ); //　削除権限
}

//#################### header ファイルを読み込み、<div id='content'> を設定 ####################
//まず、header　部分（共通）を読み込む
//readfile('./header.html');
require ('./header.php');

// この中身を表示する <div id='content'> を書く
//echo "<div id='content'>";

// ####### ここでお客様情報（追加、削除、修正）を行う ##########
// アクセス方法は customer_control.php?action=xxxx&id=zzzz
//  xxxxx は add, delete, modify,list,search,detailsearch
//  add, delete の場合は &id=zzzz でidを付ける


//各種設定を読み込み
require_once ("./teigi.php");
require_once ("./common.php");
require_once ("./customer_function.php");
require_once ("./customer_template.php");

//アクション名＆ID番号取得
$action = $_GET ['action'];
$id = $_GET ['id'];
$from = $_GET ['from'];

//詳細検索の変数設定
$tel = $_GET ['tel'];
$kaisha = $_GET ['kaisha'];
$busho = $_GET ['busho'];
$tantousha = $_GET ['tantousha'];
$zip = $_GET ['zip'];
$address = $_GET ['address'];

//検索の変数設定
$search_word = $_GET ['search'];

//ページングに使用
$left_page = $_GET['lpage'];
$right_page = $_GET['rpage'];
$now_page = $_GET['page'];
if($now_page == "" or !isset($now_page)){ $now_page = 1;}

//----------------各アクション毎の処理 ----------------------
// %%%%%%%%%%%%一覧表示＆検索のとき%%%%%%%%%%%%%%%%%%%
if ($action == 'list' or $action == 'search' or $action == 'detailsearch') {
	
	if ($action == 'list') {
		$sql = "select * from customer"; // sql設定
	} elseif ($action == 'search') {

//		$search_word = rhe($_POST ['search']);

		$sql = "select * from customer where tel like'%" . $search_word . "%' or kaisha like '%" . $search_word . "%' or busho like '%" . $search_word . "%' or tantousha like '%" . $search_word . "%' or zip like '%" . $search_word . "%' or address like '%" . $search_word . "%'";
	
	} elseif ($action == 'detailsearch') {
		if (isset ( $_GET ['submit'] )) {
			
			$condition = "where tel like'%" . $tel . "%' and kaisha like '%" . $kaisha . "%' and busho like '%" . $busho . "%' and tantousha like '%" . $tantousha . "%' and zip like '%" . $zip . "%' and address like '%" . $address . "%'";
			
			$sql = "select * from customer " . $condition;
		
		}
		echo "<div id='customer_add'>";
		if ($from == "toiawase") {
			echo "<h3>お客様　選択</h3>";
			echo "<form action='./customer_control.php' method='get'>";
			echo "<input type='hidden' name='action' value='detailsearch' />";
			echo "<input type='hidden' name='from' value='toiawase' />";
		} else {
			echo "<h3>詳細検索</h3>";
			echo "<form action='./customer_control.php' method='GET'>";
			echo "<input type='hidden' name='action' value='detailsearch' />";
		}
		
		//テンプレートの読み込み（ここで書き出す）
		if ($from == "toiawase") {
			customer_template ( 0, 1, 0, 4, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
		} else {
			customer_template ( 0, 1, 0, 2, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
		}
		
		echo "<input type='submit' name='submit' value='検索'>";
		echo "</form>";
		echo "</div>";
	}
	
	// action == detailsearch の初めての表示以外は　SQL実行して結果を表示！！  
	if (! ($action == 'detailsearch' and ! isset ( $_GET ['submit'] ))) {
		
		$sql_num = $sql;
		$sql = $sql." limit ".(($now_page-1)*$num_list).",".$num_list;
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		$res_num = db_open_exec_close ( $sql_num );
		
		$num_all = $res_num ->numRows();
		
		
		//結果の表示
		?>
<div id='customer_list'>
   
   <?php
		if ($action != 'detailsearch') {
			?>
   <form action="customer_control.php" method="GET">
   <input type="hidden" name="action" value="search" />
   <font color="#FF0000" size="+1">検索</font> 
   <input type="text" size="30" name="search" value="<?php echo $search_word; ?>" /> 
   <input type="submit" name="submit" value="検索" />
   <a href="./customer_control.php?action=detailsearch">詳細検索 </a></form>
   <?php
		}
		?>
   <br />
   <?php
		if ($action == 'list') {
			echo "<h3> お客様一覧 </h3>";
			echo "全件数：　" . $num_all . "件<br />";
		} elseif ($action == 'search' or $action == 'detailsearch') {
			echo "<h3> お客様検索結果 </h3>";
			
			echo "検索結果：　" . $num_all . "件<br />";
		}
		
   echo "<br />";
   
   		//新規追加＆ページング表示
		echo "<div id='add_bar'>";
   		echo "<div id='add'>";
		if ($all_kengen [2] == 1) { echo "<a href='customer_control.php?action=add'>新規追加</a>";} 
   		echo "</div>";
   		echo "<div id='paging'>";

     	//URLの設定
     	if($action=='detailsearch'){
    		$url="./customer_control.php?action=".$action."&tel=".$tel."&kaisha=".$kaisha."&busho=".$busho."&tantousha=".$tantousha."&zip=".$zip."&address=".$address."&submit=".$submit."&page=";
     	}elseif($action == 'search'){
     		$url="./customer_control.php?action=".$action."&search=".$search_word."&page=";
     	}elseif($action == 'list'){
     		$url = "./customer_control.php?action=".$action."&page=";
     	}
     	//ページング表示
		paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);
  
  		echo "</div>";
   		echo "</div>";
   
		$oth = 0;
		if ($action == 'detailsearch' and $from == 'toiawase') {
			$oth = 4;
		}
		customer_list_template ( $res, $all_kengen, $oth );
		
		//新規追加＆ページング表示
		echo "<div id='add_bar'>";
   		echo "<div id='add'>";
		if ($all_kengen [2] == 1) { echo "<a href='customer_control.php?action=add'>新規追加</a>";} 
   		echo "</div>";
   		echo "<div id='paging'>";

     	//URLの設定
     	if($action=='detailsearch'){
    		$url="./customer_control.php?action=".$action."&tel=".$tel."&kaisha=".$kaisha."&busho=".$busho."&tantousha=".$tantousha."&zip=".$zip."&address=".$address."&submit=".$submit."&page=";
     	}elseif($action == 'search'){
     		$url="./customer_control.php?action=".$action."&search=".$search_word."&page=";
     	}elseif($action == 'list'){
     		$url = "./customer_control.php?action=".$action."&page=";
     	}
     	//ページング表示
		paging($max_page,$left_page,$right_page,$num_list,$num_all,$now_page,$url);
  
  		echo "</div>";
   		echo "</div>";
		
		echo "</div>";
	} //if文終了


//%%%%%%%%%%%%%%% 追加のとき %%%%%%%%%%%%%%%%%%%%%%
} elseif ($action == 'add' or $action == 'modify') {
	
	//追加、編集権限があるか確認　ない場合はメッセージを出して exit
	if ($action == 'add' and $all_kengen [2] == 0) {
		echo "<div id='customer_add'>";
		echo "<h3>追加権限がありません</h3>";
		echo "</div>";
		exit ();
	} elseif ($action == 'modify' and $all_kengen [3] == 0) {
		echo "<div id='customer_add'>";
		echo "<h3>編集権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	if (isset ( $_POST ['submit'] )) {
		//エラーの有無の確認　& なかった場合は変数を設定
		// エラーがあった場合		$error -> 0: 問題なし、　+100: telが未入力  +10: 担当者が未入力
		$error = 0;
		
		if ($_POST ['tel'] == null) {
			$error += 100;
		}
		if ($_POST ['tantousha'] == null) {
			$error += 10;
		}
		
		$tel = $_POST ['tel'];
		$kaisha = $_POST ['kaisha'];
		$busho = $_POST ['busho'];
		$tantousha = $_POST ['tantousha'];
		$zip = $_POST ['zip'];
		$address = $_POST ['address'];
		
		//エラーがなかったら登録処理
		if ($error == 0 && $action == 'add') { // action が add なら追加処理
			$sql = "insert into customer(tel,kaisha,busho,tantousha,zip,address) values('" . $tel . "','" . $kaisha . "','" . $busho . "','" . $tantousha . "','" . $zip . "','" . $address . "')"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<div id='customer_add'>";
			echo "<h3>お客様情報の登録　完了しました</h3>";
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");
			exit ();
		
		} elseif ($error == 0 && $action == 'modify') { // action が modify なら修正処理
			$sql = "update customer set tel='" . $tel . "',kaisha='" . $kaisha . "',busho='" . $busho . "',tantousha='" . $tantousha . "',zip='" . $zip . "', address='" . $address . "' where id='" . $id . "'";
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<div id='customer_add'>";
			echo "<h3>お客様情報の修正　完了しました</h3>";
			echo "</div>";
			//		 header("Location: ./user_control.php?action=list");	
			exit ();
		
		}
	} elseif ($action == 'modify') {
		
		$sql = "select * from customer where id='" . $id . "'"; // sql設定
		$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
		

		$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
		
		if ($row ['tel'] == null) {
			echo "<div id='customer_add'>";
			echo "<h3>一致するお客様情報が見つかりません</h3>";
			echo "</div>";
			exit ();
		}
		
		$tel = $row ['tel'];
		$kaisha = $row ['kaisha'];
		$busho = $row ['busho'];
		$tantousha = $row ['tantousha'];
		$zip = $row ['zip'];
		$address = $row ['address'];
	}
	
	// 表示部分  
	

	echo "<div id='customer_add'>";
	
	if ($action == 'add') {
		echo "<h3>お客様情報　追加</h3>";
		echo "<form action='./customer_control.php?action=add' method='post'>";
		//テンプレートの読み込み（ここで書き出す）
		customer_template ( 1, 1, 1, 0, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
		echo "<input type='submit' name='submit' value='追加'>";
	} elseif ($action == 'modify') {
		echo "<h3>お客様情報　編集</h3>";
		echo "<form action='./customer_control.php?action=modify&id=" . $id . "' method='post'>";
		//テンプレートの読み込み（ここで書き出す）
		customer_template ( 1, 1, 1, 1, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
		echo "<input type='submit' name='submit' value='修正'>";
	}
	
	echo "  </form>";
	echo "</div>";

} elseif ($action == 'view' or $action == 'delete') {
	
	if ($action == 'delete' and $all_kengen [4] == 0) {
		echo "<div id='customer_add'>";
		echo "<h3>削除権限がありません</h3>";
		echo "</div>";
		exit ();
	}
	
	$sql = "select * from customer where id='" . $id . "'"; // sql設定
	$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
	

	$row = $res->fetchRow ( DB_FETCHMODE_ASSOC );
	
	$tel = $row ['tel'];
	$kaisha = $row ['kaisha'];
	$busho = $row ['busho'];
	$tantousha = $row ['tantousha'];
	$zip = $row ['zip'];
	$address = $row ['address'];
	
	echo "<div id='customer_add'>";
	
	if ($action == 'view') {
		echo "<h3>お客様情報　参照</h3>";
	} elseif ($action == 'delete') {
		echo "<h3>お客様情報　削除</h3>";
		
		if (! isset ( $_GET ['ans'] )) {
			echo "<br />以下のお客様情報を削除してもよろしいですか？　　";
			echo "<a href='./customer_control.php?action=delete&id=" . $id . "&ans=yes'>はい</a>　　";
			echo "<a href='./customer_control.php?action=delete&id=" . $id . "&ans=no'>いいえ</a>　　";
			
			//このお客さん情報が問い合わせ情報で使われてないかチェック
			$sql_toi = "select cust_id from toiawase where cust_id = '" . $id . "'";
			$res_toi = db_open_exec_close ( $sql_toi ); // DBオーブン、SQL実行、DBクローズ
			$toi_num = $res_toi->numRows ();
			
			if ($toi_num != 0) {
				echo "<font color='red' ><br /><br />（注）このお客様情報は、以下の情報で使われています。<br />";
				echo "　　　削除すると、お客様情報が空白で表示されるようになります。<br /><br />";
				echo "　　問合せ情報：　" . $toi_num . "件<br />";
				echo "</font>";
			}
		
		} elseif ($_GET ['ans'] == yes) {
			$sql = "delete from customer where id='" . $id . "'"; // sql設定
			$res = db_open_exec_close ( $sql ); // DBオーブン、SQL実行、DBクローズ
			

			echo "<br />お客様情報を削除しました";
			exit ();
		} else {
			header ( "Location: ./customer_control.php?action=list" );
			exit ();
		}
	}
	
	//テンプレートの読み込み（ここで書き出す）
	customer_template ( 0, 0, 0, 0, $tel, $kaisha, $busho, $tantousha, $zip, $address, $error );
	
	echo "</div>";

} //action による分岐 の終了
?>

<?php
//#################### <div id='content'> を終了し、footer ファイルを読みむ ####################
// <div id='content'> 終了
echo "</div>";
//最後に、footer　部分（共通）を読み込む
readfile ( './footer.html' );
?>