﻿-- phpMyAdmin SQL Dump
-- version 3.2.0.1
-- http://www.phpmyadmin.net
--
-- ホスト: localhost
-- 生成時間: 2010 年 4 月 30 日 06:11
-- サーバのバージョン: 5.1.37
-- PHP のバージョン: 5.3.0

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- データベース: `inqshare`
--
CREATE DATABASE `inqshare` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `inqshare`;

-- --------------------------------------------------------

--
-- テーブルの構造 `customer`
--

CREATE TABLE IF NOT EXISTS `customer` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tel` varchar(15) NOT NULL,
  `kaisha` varchar(100) DEFAULT NULL,
  `busho` varchar(100) DEFAULT NULL,
  `tantousha` varchar(100) NOT NULL,
  `zip` varchar(10) DEFAULT NULL,
  `address` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `memo`
--

CREATE TABLE IF NOT EXISTS `memo` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `to_user_id` int(10) unsigned NOT NULL,
  `user_from` varchar(200) NOT NULL,
  `uketsuke` varchar(200) NOT NULL,
  `flag1` tinyint(4) NOT NULL DEFAULT '0',
  `flag2` tinyint(4) NOT NULL DEFAULT '0',
  `flag3` tinyint(4) NOT NULL DEFAULT '0',
  `flag4` tinyint(4) NOT NULL DEFAULT '0',
  `flag5` tinyint(4) NOT NULL DEFAULT '0',
  `tel` varchar(100) NOT NULL,
  `naiyou` varchar(1000) NOT NULL,
  `nichiji` datetime NOT NULL,
  `check` tinyint(2) NOT NULL COMMENT '0:未確認 1:確認済',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;



-- --------------------------------------------------------

--
-- テーブルの構造 `taiou`
--

CREATE TABLE IF NOT EXISTS `taiou` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `toiawase_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `cat_id` int(10) unsigned NOT NULL,
  `nichiji` datetime NOT NULL,
  `naiyou` varchar(2000) NOT NULL,
  `taiou_user_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=34 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `taiou_tenpu`
--

CREATE TABLE IF NOT EXISTS `taiou_tenpu` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `taiou_id` int(10) NOT NULL,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;



-- --------------------------------------------------------

--
-- テーブルの構造 `taioucat`
--

CREATE TABLE IF NOT EXISTS `taioucat` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `flag` varchar(100) NOT NULL DEFAULT '使用',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- テーブルのデータをダンプしています `taioucat`
--

INSERT INTO `taioucat` (`id`, `name`, `flag`) VALUES
(1, '完了', '');


-- --------------------------------------------------------

--
-- テーブルの構造 `toiawase`
--

CREATE TABLE IF NOT EXISTS `toiawase` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cust_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `cat_id` int(10) unsigned NOT NULL,
  `nichiji` datetime NOT NULL,
  `naiyou` varchar(2000) NOT NULL,
  `taiou_user_id` int(10) unsigned NOT NULL,
  `check` tinyint(2) NOT NULL COMMENT '0:未確認 1:確認済',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `toiawase_tenpu`
--

CREATE TABLE IF NOT EXISTS `toiawase_tenpu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `toiawase_id` int(10) unsigned NOT NULL,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `toiawasecat`
--

CREATE TABLE IF NOT EXISTS `toiawasecat` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `flag` varchar(100) NOT NULL DEFAULT '使用',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;



-- --------------------------------------------------------

--
-- テーブルの構造 `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `namae` varchar(100) CHARACTER SET utf8 NOT NULL,
  `username` varchar(40) CHARACTER SET utf8 NOT NULL,
  `password` varchar(150) CHARACTER SET utf8 NOT NULL,
  `email` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `kengen` varchar(16) NOT NULL,
  `doneView` tinyint(2) unsigned NOT NULL DEFAULT '1' COMMENT '問合せ一覧で完了した問合せを表示するか？１：Yes 0:No',
  `taiouView` tinyint(2) unsigned NOT NULL DEFAULT '1' COMMENT '問合せ一覧で対応情報を表示するか？1:Yes,0:No',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=ucs2 AUTO_INCREMENT=12 ;

--
-- テーブルのデータをダンプしています `user`
--

INSERT INTO `user` (`id`, `namae`, `username`, `password`, `email`, `kengen`, `doneView`, `taiouView`) VALUES
(1, 'Administrator', 'admin', '21232f297a57a5a743894a0e4a801fc3', '', '1111111111111111', 1, 1);

