<?php

//------------------------------------------------------------------------------
//お客様情報の追加、修正、検索時に使用
//引数 : $att,$inp,$err,$oth,$namae, $username, $email, $ken, $error
//戻り値 : なし
//引数の説明：
//  $att --> 入力後の注意書き[（例）＊必須 ] を表示させるか？ 0: 表示させない、1: 表示させる
//  $inp --> 入力フォームを使うか？　0: 使わない (変数をそのまま表示するだけ）、1: 使う（ <input typexxx で変数を表示）
//  $err --> 入力後にエラーがある場合、表示を行うか？　　0: 表示しない 、1:表示する
//  $oth --> その時々に使う。
//	  2: 詳細検索時に使用。問い合わせ分類を textarea でなくす。& 受付者の選択をブランクにする。＆問合せ分類をブランクにする。
//    5: add の時なのでIDを表示させない&受付者はログイン者にする
//	　6: modify の時はIDを表示させる（変更は出来ない）


function taiou_template($att, $inp, $err, $oth, $id, $toiawase_id, $user_id, $user_namae, $cat_id, $nichiji, $naiyou, $num_file, $taiou_user_id, $taiou_user_name, $error) {
	
	//問合せ分類、対応分類の一覧を取得するために必要
	require_once ("./common.php");
	
	//対応分類取得
	$sql_tac = "select id,name from taioucat";
	$res_tac = db_open_exec_close ( $sql_tac ); // DBオーブン、SQL実行、DBクローズ
	

	//ユーザ一覧取得
	$sql_user = "select id,namae from user";
	$res_user = db_open_exec_close ( $sql_user ); // DBオーブン、SQL実行、DBクローズ
	

	//添付ファイル情報取得
	if ($id != null) {
		$sql_tenpu = "select id,name from taiou_tenpu where taiou_id = '" . $id . "'";
		$res_tenpu = db_open_exec_close ( $sql_tenpu ); // DBオーブン、SQL実行、DBクローズ
	}
	//################ 受付者情報 ＆　問合せ分類　＆　問合せ内容 ####################
	echo "<table border=1 bordercolor='#F5DEB3' cellspacing=0 cellpadding =5 style='margin:20px' >";
	
	//対応ID
	if ($oth != 5) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      対応ID";
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($oth == 2) {
			echo "<input type=text name='ta_id' size=30>";
		} else {
			echo $id;
		}
		echo "	  </td>";
		echo "  </tr>";
	}
	
	//問合せID
	echo "  <tr>";
	echo "    <td width='150px' bgcolor='#FFF8DC'>";
	echo "      問合せID";
	echo "    </td>";
	echo "    <td width='500px'>";
	if ($oth == 2 or ($oth == 5 and $toiawase_id == "")) {
		echo "<input type=text name='toiawase_id' value='" . $toiawase_id . "' size=30>";
	} else {
		echo $toiawase_id;
		echo "<input type=hidden name='toiawase_id' value='" . $toiawase_id . "' size=30>";
	}
	echo "	  </td>";
	echo "  </tr>";
	
	//受付日時
	echo " <tr>";
	echo "   <td bgcolor='#FFF8DC'>";
	echo "    対応日時";
	if ($att == 1) {
		echo "<font color='#FF0000' size='-1'>*必須</font>";
	}
	echo "   </td>";
	echo "   <td>";
	if ($inp == 1) {
		if ($oth != 2) {
			disp_date ( 1, 1, 0, $nichiji, year, month, day, hour, minute );
		} else {
			disp_date ( 1, 1, 2, $nichiji, fyear, fmonth, fday, fhour, fminute );
			echo "<br />～<br />";
			disp_date ( 1, 1, 2, $nichiji, tyear, tmonth, tday, thour, tminute );
		}
	} else {
		echo $nichiji;
	}
	echo "   </td>";
	echo " </tr>";
	
	//対応者
	if ($oth != 5) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      対応者";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($inp == 1) {
			echo "<select name='ta_user_id'>";
			if ($oth == 2) {
				$user_id = "";
				echo "<option value='' selected > </option>";
			}
			while ( $row_user = $res_user->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				if ($row_user ['id'] == $user_id) {
					echo "<option value='" . $row_user ['id'] . "' selected>" . $row_user ['namae'] . "</option>";
				} else {
					echo "<option value='" . $row_user ['id'] . "'>" . $row_user ['namae'] . "</option>";
				}
			}
			echo "</select>";
		} else {
			echo $user_namae;
		}
		echo "	  </td>";
		echo "  </tr>";
	} else {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      対応者";
		echo "    </td>";
		echo "    <td width='500px'>";
		echo "		<input type='hidden' name='ta_user_id' value='" . $user_id . "' >";
		echo $user_namae;
		echo "	  </td>";
		echo "  </tr>";
	}
	
	//対応状況
	echo "  <tr>";
	echo "    <td width='150px' bgcolor='#FFF8DC'>";
	echo "		対応状況";
	if ($att == 1) {
		echo "<font color='#FF0000' size='-1'>*必須</font>";
	}
	echo "    </td>";
	echo "    <td width='500px'>";
	if ($inp == 1) {
		echo "<select name='tacat_id'>";
		if ($oth == 2) {
			$cat_id = "";
			echo "<option value='' selected > </option>";
		}
		while ( $row_tac = $res_tac->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
			if ($cat_id == $row_tac ['id']) {
				echo "<option value='" . $row_tac ['id'] . "' selected>" . $row_tac ['name'] . "</option>";
			} else {
				echo "<option value='" . $row_tac ['id'] . "'>" . $row_tac ['name'] . "</option>";
			}
		}
		echo "</select>";
		if ($err == 1) {
			$check = floor ( $error / 10 );
			$error = $error % 10;
			if ($check == 1) {
				echo "<br /><font color='red'> 問合せ分類を選択して下さい </font>";
			}
		}
	} else {
		while ( $row_tac = $res_tac->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
			if ($cat_id == $row_tac ['id']) {
				echo $row_tac ['name'];
			}
		}
	}
	echo "    </td>";
	echo "  </tr>";
	
	//対応内容の行	
	if ($oth != 2) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "		対応内容";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($inp == 1) {
			echo "<textarea name='ta_naiyou' cols='50' rows='10'>" . $naiyou . "</textarea>";
			if ($err == 1) {
				if ($error == 1) {
					echo "<br /><font color='red'>問合せ内容を入力して下さい </font>";
				}
			}
		} else {
			echo nl2br ( $naiyou );
		}
		echo "    </td>";
		echo "  </tr>";
	} else {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "		対応内容";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		echo "<input type='text' name='ta_naiyou' value='" . $naiyou . "' />";
		echo "    </td>";
		echo "  </tr>";
	
	}
	
	//添付ファイルの行
	// ############ とりあえず添付ファイルは1個のみにしておく、後で増やせるようなら増やそう・・・
	// 以下に、添付ファイル追加でフォームを増やすことはできたけど、それをすると、途中まで入力した内容が消えてしまう・・・
	// 恐らくjavascriptで書かないと駄目だ・・・
	if ($oth != 2) {
		if ($oth == 5 or $oth == 6) {
			if ($oth == 6) {
				$i = 0;
				while ( $row_tenpu = $res_tenpu->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
					$i += 1;
					echo "  <tr>";
					echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
					echo "    <td>";
					echo " <a href='./download.php?&from=taiou&filename=" . $row_tenpu ['name'] . "'>" . $row_tenpu ['name'] . "</a>";
					echo " <a href='./taiou_tenpu.php?action=delete&id=" . $row_tenpu ['id'] . "&from=taiou_control.php&faction=modify&fid=" . $id . "'><img src='img/delete.png' border='0' alt='削除' /></a>";
					echo "    </td>";
					echo "  </tr>";
				}
			}
			
			$i += 1;
			echo "  <tr>";
			echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
			echo "    <td>";
			echo "      <input type='file' name='upload' size='50' />";
			echo "    </td>";
			echo "  </tr>";
		
		} else {
			$i = 0;
			while ( $row_tenpu = $res_tenpu->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				$i += 1;
				echo "  <tr>";
				echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
				echo "    <td>";
				echo " <a href='./download.php?&from=taiou&filename=" . $row_tenpu ['name'] . "'>" . $row_tenpu ['name'] . "</a>";
				echo "    </td>";
				echo "  </tr>";
			}
		}
	}
	
/*  対応のところで更に対応依頼者を作ると管理が煩雑になるのでやめる。
	//対応依頼者
	if ($oth != 2) {
		echo "  <tr>";
		echo "    <td width='150px'>";
		echo "		対応依頼者";
		echo "    </td>";
		echo "    <td width='500px'>";
		
		if ($inp == 1) {
			//ユーザ一覧取得
			$sql_user = "select id,namae from user";
			$res_user = db_open_exec_close ( $sql_user ); // DBオーブン、SQL実行、DBクローズ
			
			echo "<select name='taiou_user_id'>";
			if($taiou_user_id == ""){ echo "<option value='' selected>"; }
			while ( $row_user = $res_user->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				if ($row_user ['id'] == $taiou_user_id) {
					echo "<option value='" . $row_user ['id'] . "' selected>" . $row_user ['namae'] . "</option>";
				} else {
					echo "<option value='" . $row_user ['id'] . "'>" . $row_user ['namae'] . "</option>";
				}
			}
			echo "</select>";
		} else {
			echo $taiou_user_name;
		}
		
		echo "    </td>";
		echo "  </tr>";
	
	}
*/
	
	echo "</table>";
	
	return;
}

//------------------------------------------------------------------------------
//ユーザの一覧表示
//引数 : $res ( SQL の実行結果）
//戻り値 : なし
function taiou_list_template($res, $all_kengen) {
	?>
<table border=1 bordercolor='#F5DEB3' cellspacing=0 cellpadding=4>
	<tr align='center' bgcolor='#FFF8DC'>
		<td width="100px"></td>
		<td width="80px">対応ID</td>
		<td width="80px">問合せID</td>
		<td width="100px">日時</td>
		<td width="100px">対応者</td>
		<td width="100px">対応状況</td>
		<td width="300px">対応内容</td>
	</tr>

<?php
	
	while ( $row = $res->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
		
		//日時のフォーマット変更
		$nichiji = $row ['nichiji'];
		list ( $date, $time ) = split ( ' ', $nichiji );
		list ( $year, $month, $day ) = split ( '-', $date );
		list ( $hour, $min, $sec ) = split ( ':', $time );
		
		$new_date = $year . "/" . $month . "/" . $day;
		
		?>
	   
	  <tr>
		<td><a
			href="./taiou_control.php?action=view&id=<?php
		echo $row ['id'];
		?>"><img
			src="img/view.png" border="0" title='参照' /></a>
		    <?php
		if ($all_kengen [3] == "1") {
			echo "<a href='./taiou_control.php?action=modify&id=" . $row ['id'] . "'><img src='img/edit.png' border='0' title='編集' /></a>";
		}
		?>
			<?php
		if ($all_kengen [4] == "1") {
			echo "<a href='./taiou_control.php?action=delete&id=" . $row ['id'] . "'><img src='img/delete.png' border='0' title='削除' /></a>";
		}
		?>
		</td>
		<td class='taiou_bg'><?php
		echo $row ['id'];
		?></td>
		<td class='taiou_bg'><?php
		echo $row ['toiawase_id'];
		?></td>
		<td class='taiou_bg'><?php
		echo $new_date;
		?></td>
		<td class='taiou_bg'><?php
		echo $row ['user_namae'];
		?></td>
		<td class='taiou_bg'><?php
		echo $row ['cat_name'];
		?></td>
		<td class='taiou_bg'><?php
		echo mb_strimwidth($row ['naiyou'],0,30,"...");
		?></td>
	</tr>	   
	   
<?php
	}
	
	echo "</table>";
	
	return;
}
?>