<?php
//まず何はともあれ、セッション開始
session_start();
//##################  認証済みか確認 #########
// 認証済みなら権限設定してスルー、未認証なら login.php にheaderで移動
if(!isset($_SESSION['id'])){
   header("Location: ./login.php");
   exit;
}else{	//admin なら追加、編集、削除できるが、それ以外は参照のみ
  $username = $_SESSION['username'];
  $all_kengen[1] = 1;
  if($username == 'admin'){  $all_kengen[2] = 1;  }//追加権限
  if($username == 'admin'){  $all_kengen[3] = 1;  }// 編集権限
  if($username == 'admin'){  $all_kengen[4] = 1;  }//　削除権限
}

//#################### header ファイルを読み込み、<div id='content'> を設定 ####################
//まず、header　部分（共通）を読み込む
//readfile('./header.html');
require('./header.php');

// この中身を表示する <div id='content'> を書く
//echo "<div id='content'>";

// ####### ここで対応分類情報（追加、削除、修正）を行う ##########
// アクセス方法は taioucat_control.php?action=xxxx&id=zzzz
//  xxxxx は add, delete, modify,list,search,detailsearch
//  add, delete の場合は &id=zzzz でidを付ける

//各種設定を読み込み
require_once("./common.php");
require_once("./taioucat_function.php");
require_once("./taioucat_template.php");

//アクション名＆ID番号取得
$action = $_GET['action'];
$id = $_GET['id'];

//----------------各アクション毎の処理 ----------------------
// %%%%%%%%%%%%一覧表示＆検索のとき%%%%%%%%%%%%%%%%%%%
if($action == 'list' or $action == 'search' or $action == 'detailsearch'){

   if($action == 'list'){
     $sql = "select * from taioucat"; // sql設定
   }elseif($action == 'search'){
     $search_word = $_POST['search'];
     $sql = "select * from taioucat where name like'%".$search_word."%'";

   }elseif($action == 'detailsearch'){
     if(isset($_POST['submit'])){ 
	   $name = $_POST['name'];
	   $flag = $_POST['flag'];
	   
	   $condition = "where name like'%".$name."%' and flag like '%".$flag."%'";
	   
	   $sql = "select * from taioucat ".$condition;
	   
	 }
     echo "<div id='taioucat_add'>";
	 echo "<h3>詳細検索</h3>";
	 echo "<form action='./taioucat_control.php?action=detailsearch' method='post'>";
   	 //テンプレートの読み込み（ここで書き出す）
	 taioucat_template(0,1,0,2,$name,$flag,$error);
	 echo "<input type='submit' name='submit' value='検索'>";
	 echo "</form>";
	 echo "</div>";      
   }
   
 // action == detailsearch の初めての表示以外は　SQL実行して結果を表示！！  
 if(!($action == 'detailsearch' and !isset($_POST['submit']))){
   $res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
   
   //結果の表示
?>
   <div id='taioucat_list'>
   
   <?php if($action != 'detailsearch'){ ?>
   <form action="taioucat_control.php?action=search" method="post">
      <font color="#FF0000" size="+1">検索</font>
     <input type="text" size="30" name="search"  />
	 <input type="submit" name="submit" value="検索" />　　　
	 <a href="./taioucat_control.php?action=detailsearch">詳細検索 </a>
   </form>
   <?php } ?>
   <br />
   <?php if($action == 'list'){
     echo "<h3> 対応状況分類　一覧 </h3>";
   }elseif($action == 'search' or $action == 'detailsearch'){
     echo "<h3> 対応状況分類　検索結果 </h3>";
	 
	 echo "検索結果：　".$res->numRows()."件<br />";
   } ?>
   <br />
   <a href='taioucat_control.php?action=add'>新規追加</a>
   
   <?php
   taioucat_list_template($res,$all_kengen);


    echo "</div>";
  }  //if文終了
  
  
//%%%%%%%%%%%%%%% 追加のとき %%%%%%%%%%%%%%%%%%%%%%
}elseif($action == 'add' or $action == 'modify'){

    //追加、編集権限があるか確認　ない場合はメッセージを出して exit
    if($action == 'add' and $all_kengen[2] == 0){
		echo "<div id='taioucat_add'>";
	    echo "<h3>追加権限がありません</h3>";
		echo "</div>"; 
		exit;
	}elseif($action == 'modify' and $all_kengen[3] == 0){
		echo "<div id='taioucat_add'>";
	    echo "<h3>編集権限がありません</h3>";
		echo "</div>"; 
		exit;
	}	
  

    if(isset($_POST['submit'])){
	  //エラーの有無の確認　& なかった場合は変数を設定
	  // エラーがあった場合		$error -> 0: 問題なし、　+1: nameが未入力
	  $error = 0;
	  
	  if($_POST['name'] == null){$error += 1;}
	  
	  $name = $_POST['name'];
	  $flag = $_POST['flag'];
	  
      //エラーがなかったら登録処理
	  if($error == 0 && $action == 'add'){ // action が add なら追加処理
  		 $sql = "insert into taioucat(name,flag) values('".$name."','".$flag."')"; // sql設定
  		 $res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
		 
		 echo "<div id='taioucat_add'>";
	     echo "<h3>対応状況分類情報の登録　完了しました</h3>";
		 echo "</div>"; 
//		 header("Location: ./user_control.php?action=list");
		 exit;
		 
   	  }elseif($error == 0 && $action == 'modify'){ // action が modify なら修正処理
		 $sql = "update taioucat set name='".$name."',flag='".$flag."' where id='".$id."'";
		 $res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
		 
		 echo "<div id='taioucat_add'>";
	     echo "<h3>対応状況分類情報の修正　完了しました</h3>";
		 echo "</div>"; 
//		 header("Location: ./user_control.php?action=list");	
		 exit; 
		 
	  }
    }elseif($action =='modify'){
	
	  $sql = "select * from taioucat where id='".$id."'"; // sql設定
	  $res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
	
	  $row = $res->fetchRow(DB_FETCHMODE_ASSOC);
	  
	  if($row['name'] == null){
		 echo "<div id='taioucat_add'>";
	     echo "<h3>一致する対応状況分類情報が見つかりません</h3>";
		 echo "</div>"; 
		 exit; 
	  }	  
	  
	  $name = $row['name'];
	  $flag = $row['flag'];
	}
  
// 表示部分  
  
	echo "<div id='taioucat_add'>";
	
	if($action == 'add'){ 
	  echo "<h3>対応状況分類情報　追加</h3>";
	  echo "<form action='./taioucat_control.php?action=add' method='post'>";
	  //テンプレートの読み込み（ここで書き出す）
	  taioucat_template(1,1,1,0,$name,$flag,$error);
	  echo "<input type='submit' name='submit' value='追加'>";
	}elseif($action == 'modify'){ 
	  echo "<h3>対応状況分類情報　編集</h3>";
	  echo "<form action='./taioucat_control.php?action=modify&id=".$id."' method='post'>";
	  //テンプレートの読み込み（ここで書き出す）
	  taioucat_template(1,1,1,1,$name,$flag,$error);
	  echo "<input type='submit' name='submit' value='修正'>";
	} 

	echo "  </form>";
    echo "</div>";

}elseif($action == 'view' or $action == 'delete'){

    if($action == 'delete' and $all_kengen[4] == 0){
		echo "<div id='taioucat_add'>";
	    echo "<h3>削除権限がありません</h3>";
		echo "</div>"; 
		exit;
	}

	$sql = "select * from taioucat where id='".$id."'"; // sql設定
	$res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
	  
	$row = $res->fetchRow(DB_FETCHMODE_ASSOC);
	
	$name = $row['name'];
	$flag = $row['flag'];
	  
	echo "<div id='taioucat_add'>";
		
	if($action == 'view'){ 
	  echo "<h3>対応状況分類情報　参照</h3>";
	}elseif($action == 'delete'){ 
	  echo "<h3>対応状況分類情報　削除</h3>";
	  
	  if(!isset($_GET['ans'])){
		echo "<br />以下の対応状況分類情報を削除してもよろしいですか？　　";
	  	echo "<a href='./taioucat_control.php?action=delete&id=".$id."&ans=yes'>はい</a>　　";
	  	echo "<a href='./taioucat_control.php?action=delete&id=".$id."&ans=no'>いいえ</a>　　";
	  	
	  			//この対応状況分類が対応情報で使われてないかチェック
			$sql_tai = "select cat_id from taiou where cat_id = '" . $id . "'";
			$res_tai = db_open_exec_close ( $sql_tai ); // DBオーブン、SQL実行、DBクローズ
			$tai_num = $res_tai->numRows ();
			
			if ($tai_num != 0) {
				echo "<font color='red' ><br /><br />（注）この対応状況分類は、以下の情報で使われています。<br />";
				echo "　　　削除すると、対応状況分類が空白で表示されるようになります。<br /><br />";
				echo "　　対応情報：　" . $tai_num . "件<br />";
				echo "</font>";
			}
	  	
	  }elseif($_GET['ans'] == yes){ 
		$sql = "delete from taioucat where id='".$id."'"; // sql設定
		$res = db_open_exec_close($sql);  // DBオーブン、SQL実行、DBクローズ
		
		echo "<br />対応状況分類情報を削除しました";
		exit;
	  }else{
		 header("Location: ./taioucat_control.php?action=list");
		 exit;	
	  }
	}

	//テンプレートの読み込み（ここで書き出す）
    taioucat_template(0,0,0,0,$name,$flag,$error);

	echo "</div>";


} //action による分岐 の終了
?>

<?php
//#################### <div id='content'> を終了し、footer ファイルを読みむ ####################
// <div id='content'> 終了
echo "</div>";
//最後に、footer　部分（共通）を読み込む
readfile('./footer.html');
?>