<?php
//------------------------------------------------------------------------------
//お客様情報の追加、修正、検索時に使用
//引数 : $att,$inp,$err,$oth,$namae, $username, $email, $ken, $error
//戻り値 : なし
//引数の説明：
//  $att --> 入力後の注意書き[（例）＊必須 ] を表示させるか？ 0: 表示させない、1: 表示させる
//  $inp --> 入力フォームを使うか？　0: 使わない (変数をそのまま表示するだけ）、1: 使う（ <input typexxx で変数を表示）
//  $err --> 入力後にエラーがある場合、表示を行うか？　　0: 表示しない 、1:表示する
//  $oth --> その時々に使う。
//	  2: 詳細検索時に使用。問い合わせ分類を textarea でなくす。& 受付者の選択をブランクにする。＆問合せ分類をブランクにする。
//    5: add の時なのでIDを表示させない&受付者はログイン者にする
//	　6: modify の時はIDを表示させる（変更は出来ない）
function toiawase_template($att, $inp, $err, $oth, $id, $cust_id, $user_id, $user_namae, $tocat_id, $nichiji, $naiyou, $taiou_user_id, $taiou_user_name, $error) {

	//問合せ分類、対応分類の一覧を取得するために必要
	require_once ("./common.php");

	//問合せ分類取得
	$sql_toc = "select id,name from toiawasecat";
	$res_toc = db_open_exec_close ( $sql_toc ); // DBオーブン、SQL実行、DBクローズ


	//ユーザ一覧取得
	$sql_user = "select id,namae from user";
	$res_user = db_open_exec_close ( $sql_user ); // DBオーブン、SQL実行、DBクローズ


	//添付ファイル情報取得
	if ($id != null) {
		$sql_tenpu = "select id,name from toiawase_tenpu where toiawase_id = '" . $id . "'";
		$res_tenpu = db_open_exec_close ( $sql_tenpu ); // DBオーブン、SQL実行、DBクローズ
	}

	//################ 受付者情報 ＆　問合せ分類　＆　問合せ内容 ####################
	echo "<table border=1 bordercolor='#F5DEB3' cellspacing=0 cellpadding =5 style='margin:20px' >";

	//問合せID
	if ($oth != 5) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      問合せID";
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($oth == 2) {
			echo "<input type=text name='id' size=30>";
		} else {
			echo $id;
		}
		echo "	  </td>";
		echo "  </tr>";
	}

	//受付日時
	echo " <tr>";
	echo "   <td bgcolor='#FFF8DC'>";
	echo "    受付日時";
	if ($att == 1) {
		echo "<font color='#FF0000' size='-1'>*必須</font>";
	}
	echo "   </td>";
	echo "   <td>";
	if ($inp == 1) {
		if ($oth != 2) {
			disp_date ( 1, 1, 0, $nichiji, year, month, day, hour, minute );
		} else {
			disp_date ( 1, 1, 2, $nichiji, fyear_to, fmonth_to, fday_to, fhour_to, fminute_to );
			echo "<br />～<br />";
			disp_date ( 1, 1, 2, $nichiji, tyear_to, tmonth_to, tday_to, thour_to, tminute_to );
		}
	} else {
		echo $nichiji;
	}
	echo "   </td>";
	echo " </tr>";

	//受付者
	if ($oth != 5) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      受付者";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($inp == 1) {
			echo "<select name='user_id'>";
			if ($oth == 2) {
				$user_id = "";
				echo "<option value='' selected > </option>";
			}
			while ( $row_user = $res_user->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				if ($row_user ['id'] == $user_id) {
					echo "<option value='" . $row_user ['id'] . "' selected>" . $row_user ['namae'] . "</option>";
				} else {
					echo "<option value='" . $row_user ['id'] . "'>" . $row_user ['namae'] . "</option>";
				}
			}
			echo "</select>";
		} else {
			echo $user_namae;
		}
		echo "	  </td>";
		echo "  </tr>";
	} else {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "      受付者";
		echo "    </td>";
		echo "    <td width='500px'>";
		echo "		<input type='hidden' name='user_id' value='" . $user_id . "' >";
		echo $user_namae;
		echo "	  </td>";
		echo "  </tr>";
	}

	//問合せ分類
	echo "  <tr>";
	echo "    <td width='150px' bgcolor='#FFF8DC'>";
	echo "		問合せ分類";
	if ($att == 1) {
		echo "<font color='#FF0000' size='-1'>*必須</font>";
	}
	echo "    </td>";
	echo "    <td width='500px'>";
	if ($inp == 1) {
		echo "<select name='tocat_id'>";
		if ($oth == 2) {
			$tocat_id = "";
			echo "<option value='' selected > </option>";
		}
		while ( $row_toc = $res_toc->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
			if ($tocat_id == $row_toc ['id']) {
				echo "<option value='" . $row_toc ['id'] . "' selected>" . $row_toc ['name'] . "</option>";
			} else {
				echo "<option value='" . $row_toc ['id'] . "'>" . $row_toc ['name'] . "</option>";
			}
		}
		echo "</select>";
		if ($err == 1) {
			$check = floor ( $error / 10 );
			$error = $error % 10;
			if ($check == 1) {
				echo "<br /><font color='red'> 問合せ分類を選択して下さい </font>";
			}
		}
	} else {
		while ( $row_toc = $res_toc->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
			if ($tocat_id == $row_toc ['id']) {
				echo $row_toc ['name'];
			}
		}
	}
	echo "    </td>";
	echo "  </tr>";

	//問い合わせ内容の行
	if ($oth != 2) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "		問合せ内容";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		if ($inp == 1) {
			echo "<textarea name='naiyou' cols='50' rows='10'>" . $naiyou . "</textarea>";
			if ($err == 1) {
				if ($error == 1) {
					echo "<br /><font color='red'>問合せ内容を入力して下さい </font>";
				}
			}
		} else {
			echo nl2br ( $naiyou );
		}
		echo "    </td>";
		echo "  </tr>";
	} else {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "		問合せ内容";
		if ($att == 1) {
			echo "<font color='#FF0000' size='-1'>*必須</font>";
		}
		echo "    </td>";
		echo "    <td width='500px'>";
		echo "<input type='text' name='naiyou' value='" . $naiyou . "' />";
		echo "    </td>";
		echo "  </tr>";

	}

	//添付ファイルの行
	// ############ とりあえず添付ファイルは1個のみにしておく、後で増やせるようなら増やそう・・・
	// 以下に、添付ファイル追加でフォームを増やすことはできたけど、それをすると、途中まで入力した内容が消えてしまう・・・
	// 恐らくjavascriptで書かないと駄目だ・・・
	if ($oth != 2) {
		if ($oth == 5 or $oth == 6) {
			if ($oth == 6) {
				$i = 0;
				while ( $row_tenpu = $res_tenpu->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
					$i += 1;
					echo "  <tr>";
					echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
					echo "    <td>";
					echo " <a href='./download.php?&from=toiawase&filename=" . $row_tenpu ['name'] . "'>" . $row_tenpu ['name'] . "</a>";
					echo " <a href='./toiawase_tenpu.php?action=delete&id=" . $row_tenpu ['id'] . "&from=toiawase_control.php&faction=modify&fid=" . $id . "'><img src='img/delete.png' border='0' alt='削除' /></a>";
					echo "    </td>";
					echo "  </tr>";
				}
			}

			$i += 1;
			echo "  <tr>";
			echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
			echo "    <td>";
			echo "      <input type='file' name='upload' size='50' />";
			echo "    </td>";
			echo "  </tr>";

		} else {
			$i = 0;
			while ( $row_tenpu = $res_tenpu->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				$i += 1;
				echo "  <tr>";
				echo "    <td bgcolor='#FFF8DC'>添付ファイル" . $i . "</td>";
				echo "    <td>";
				echo " <a href='./download.php?&from=toiawase&filename=" . $row_tenpu ['name'] . "'>" . $row_tenpu ['name'] . "</a>";
				echo "    </td>";
				echo "  </tr>";
			}
		}
	}

	//対応依頼者
	if ($oth != 2) {
		echo "  <tr>";
		echo "    <td width='150px' bgcolor='#FFF8DC'>";
		echo "		対応依頼者";
		echo "    </td>";
		echo "    <td width='500px'>";

		if ($inp == 1) {
			//ユーザ一覧取得
			$sql_user = "select id,namae from user";
			$res_user = db_open_exec_close ( $sql_user ); // DBオーブン、SQL実行、DBクローズ
			echo "<select name='taiou_user_id'>";
			if ($taiou_user_id == "" or $taiou_user_id == 0) {
				echo "<option value='' selected>";
			}
			while ( $row_user = $res_user->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
				if ($row_user ['id'] == $taiou_user_id) {
					echo "<option value='" . $row_user ['id'] . "' selected>" . $row_user ['namae'] . "</option>";
				} else {
					echo "<option value='" . $row_user ['id'] . "'>" . $row_user ['namae'] . "</option>";
				}
			}
			echo "</select>";
		} else {
			//ユーザ名取得
			$sql_user = "select id,namae from user where id=" . $taiou_user_id;
			$res_user = db_open_exec_close ( $sql_user ); // DBオーブン、SQL実行、DBクローズ
			$row_user = $res_user->fetchRow ( DB_FETCHMODE_ASSOC );
			echo $row_user ['namae'];
		}

		echo "    </td>";
		echo "  </tr>";

	}

	echo "</table>";

	return;
}

//------------------------------------------------------------------------------
//ユーザの一覧表示
//引数 : $res ( SQL の実行結果）
//戻り値 : なし
function toiawase_list_template($res, $all_kengen, $doneView, $taiouView) {
	?>
<table border=1 bordercolor='#F5DEB3' cellspacing=0 cellpadding=4>
	<tr align='center' bgcolor='#FFF8DC'>
		<td width="150px"></td>
		<td width="40px">問合せID</td>
		<td width="90px">日時</td>
		<td width="100px">会社名</td>
		<td width="80px">担当者</td>
		<td width="80px">受付者</td>
		<td width="90px">問合せ分類</td>
		<td width="280px">内容</td>
		<td width="90px">最終<br />
		対応日時</td>
		<td width="90px">最終<br />
		対応状況</td>
		<td width="90px">最終<br />
		対応者</td>
	</tr>

<?php

//	$old_id = 0;
	$noViewflag = 0;

	while ( $row = $res->fetchRow ( DB_FETCHMODE_ASSOC ) ) {
/* ## 完了の表示、非表示を行ってたが、止める ##
		//完了を表示させない時の設定
		if ($doneView == 0) {
			if ($row ['tacn'] == '完了') {
				$noViewid = $row ['id'];
				$noViewflag = 1;
			} elseif ($row ['tacn'] != '完了' and $row ['id'] != $noViewid) {
				$noViewflag = 0;
			}
		}

		if ($noViewflag == 0) { //完了を表示させないための分岐
*/


//			$new_id = $row ['id'];

//			if ($new_id != $old_id) {

				//日時のフォーマット変更
				$nichiji = $row ['tn'];
				list ( $date, $time ) = split ( ' ', $nichiji );
				list ( $year, $month, $day ) = split ( '-', $date );
				list ( $hour, $min, $sec ) = split ( ':', $time );

				$new_date = $year . "/" . $month . "/" . $day;

				//日時のフォーマット変更（最終対応日時）
				if ($row ['tan'] != "") {
					$nichiji = $row ['tan'];
					list ( $date, $time ) = split ( ' ', $nichiji );
					list ( $year, $month, $day ) = split ( '-', $date );
					list ( $hour, $min, $sec ) = split ( ':', $time );

					$new_date2 = $year . "/" . $month . "/" . $day;
				}

				if ($row ['tacn'] == '完了' and $doneView == 1)
					?>
	   <tr align="center">
		<td><a
			href="./toiawase_control.php?action=view&id=<?php
				echo $row ['id'];
				?>"><img src="img/view.png" border="0" title='参照' /></a>
		    <?php
				if ($all_kengen [3] == "1") {
					echo "<a href='./toiawase_control.php?action=modify&id=" . $row ['id'] . "'><img src='img/edit.png' border='0' title='編集' /></a>";
				}
				?>
			<?php
				if ($all_kengen [4] == "1") {
					echo "<a href='./toiawase_control.php?action=delete&id=" . $row ['id'] . "'><img src='img/delete.png' border='0' title='削除' /></a>";
				}
				?>
			<?php
				if ($all_kengen [6] == "1") {
					echo "<a href='./taiou_control.php?action=add&toiawase_id=" . $row ['id'] . "'>対応追加</a>";
				}
				?>
		</td>
		<td><?php
				echo $row ['id'];
				?></td>
		<td><?php
				echo $new_date;
				?></td>
		<td><?php
				echo $row ['ck'];
				?></td>
		<td><?php
				echo $row ['ct'];
				?></td>
		<td><?php
				echo $row ['un'];
				?></td>
		<td><?php
				echo $row ['tocn'];
				?></td>
		<td align="left"><?php
				echo mb_strimwidth ( $row ['tna'], 0, 35, "...",utf8);
				?></td>

		<td><?php
				echo $new_date2;
				?></td>
		<td><?php
				echo $row ['tacn'];
				?></td>
		<td><?php
				echo $row ['usn'];
				?></td>
	</tr>
<?php
//			}
/* ## 対応情報の表示を止める！！完了の表示、非表示を行ってたが、止める ##
			//ここから対応情報表示
			if ($taiouView == 1) {

				if (($row ['taid'] != "") and ($new_id != $old_id)) {
					?>
	   <tr align="center">
		<td colspan="2"></td>
		<td width="50px" bgcolor="#EEE8AA"></td>
		<td width="100px" bgcolor="#EEE8AA">対応ID</td>
		<td width="100px" bgcolor="#EEE8AA">日時</td>
		<td width="100px" bgcolor="#EEE8AA">対応者</td>
		<td width="100px" bgcolor="#EEE8AA">対応状況</td>
		<td width="300px" bgcolor="#EEE8AA">対応内容</td>
	</tr>
<?php
				}
				if (($row ['taid'] != "")) {

					//日時のフォーマット変更
					$nichiji = $row ['tan'];
					list ( $date, $time ) = split ( ' ', $nichiji );
					list ( $year, $month, $day ) = split ( '-', $date );
					list ( $hour, $min, $sec ) = split ( ':', $time );

					$new_date = $year . "/" . $month . "/" . $day;
					?>
	  <tr>
		<td colspan="2"></td>
		<td><a
			href="./taiou_control.php?action=view&id=<?php
					echo $row ['taid'];
					?>"><img src="img/view.png" border="0" title='参照' /></a>
		    <?php
					if ($all_kengen [7] == "1") {
						echo "<a href='./taiou_control.php?action=modify&id=" . $row ['taid'] . "'><img src='img/edit.png' border='0' title='編集' /></a>";
					}
					?>
			<?php
					if ($all_kengen [8] == "1") {
						echo "<a href='./taiou_control.php?action=delete&id=" . $row ['taid'] . "'><img src='img/delete.png' border='0' title='削除' /></a>";
					}
					?>
		</td>
		<td class='taiou_bg'><?php
					echo $row ['taid'];
					?></td>
		<td class='taiou_bg'><?php
					echo $new_date;
					?></td>
		<td class='taiou_bg'><?php
					echo $row ['usn'];
					?></td>
		<td class='taiou_bg'><?php
					echo $row ['tacn'];
					?></td>
		<td class='taiou_bg'><?php
					echo mb_strimwidth ( $row ['tana'], 0, 30, "..." );
					?></td>
	</tr>
<?php
				}
			}
*/
//			$old_id = $new_id;
//		}
	}

	echo "</table>";

	return;
}
?>